//
// Copyright (C) 2024 The Android Open Source Project
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//      http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
//

// clang-format off
#include "native_bridge_support/vdso/interceptable_functions.h"

DEFINE_INTERCEPTABLE_STUB_FUNCTION(AFileDescriptor_create);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AFileDescriptor_getFd);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AFileDescriptor_setFd);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AStatsEvent_addBoolAnnotation);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AStatsEvent_addInt32Annotation);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AStatsEvent_build);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AStatsEvent_obtain);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AStatsEvent_release);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AStatsEvent_setAtomId);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AStatsEvent_write);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AStatsEvent_writeAttributionChain);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AStatsEvent_writeBool);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AStatsEvent_writeByteArray);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AStatsEvent_writeFloat);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AStatsEvent_writeInt32);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AStatsEvent_writeInt64);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AStatsEvent_writeString);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AStatsEvent_writeStringArray);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AStatsSocket_close);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AndroidRuntimeGetJavaVM);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(JNI_CreateJavaVM);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(JNI_GetCreatedJavaVMs);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(JNI_GetDefaultJavaVMInitArgs);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(JniInvocationCreate);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(JniInvocationDestroy);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(JniInvocationGetLibrary);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(JniInvocationInit);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(PreventLibnativehelperLazyLoadingForTests);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(PreventLibstatssocketLazyLoadingForTests);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z10GetOpenFdsRKNSt3__18functionIFvNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEEEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z11OpenArchivePKcPP10ZipArchive);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z12CloseArchiveP10ZipArchive);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z12EndIterationPv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z13OpenArchiveFdiPKcPP10ZipArchiveb);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z14GetArchiveInfoP10ZipArchive);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z14SkStringPrintfPKcz);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z14StartIterationP10ZipArchivePPvNSt3__117basic_string_viewIcNS3_11char_traitsIcEEEES7_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z14StartIterationP10ZipArchivePPvNSt3__18functionIFbNS3_17basic_string_viewIcNS3_11char_traitsIcEEEEEEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z14sk_malloc_sizePvm);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z15ErrorCodeStringi);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z15ExtractToMemoryP10ZipArchivePK10ZipEntry64Phm);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z15ExtractToMemoryP10ZipArchivePK8ZipEntryPhm);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z15sk_malloc_flagsmj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z16sk_out_of_memoryv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z16sk_realloc_throwPvm);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z17GetFileDescriptorP10ZipArchive);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z17get_native_cameraP7_JNIEnvP8_jobjectPP16JNICameraContext);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z17sk_abort_no_printv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z18ExtractEntryToFileP10ZipArchivePK10ZipEntry64i);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z18ExtractEntryToFileP10ZipArchivePK8ZipEntryi);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z18OpenArchiveFdRangeiPKcPP10ZipArchivellb);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z19_set_seccomp_filter10FilterType);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z21OpenArchiveFromMemoryPKvmPKcPP10ZipArchive);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z22get_device_from_objectP7_JNIEnvP8_jobject);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z22set_app_seccomp_filterv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z23GetFileDescriptorOffsetP10ZipArchive);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z23get_request_from_objectP7_JNIEnvP8_jobject);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z25_install_setuidgid_filterjj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z25android_os_Process_setGidP7_JNIEnvP8_jobjecti);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z25android_os_Process_setUidP7_JNIEnvP8_jobjecti);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z25set_system_seccomp_filterv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z26android_os_Process_getPidsP7_JNIEnvP8_jobjectP8_jstringP10_jintArray);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z26get_exclusive_cpuset_cores11SchedPolicyP9cpu_set_t);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z26register_android_os_BinderP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z27android_os_Process_setArgV0P7_JNIEnvP8_jobjectP8_jstring);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z27register_android_media_midiP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z27register_android_os_ProcessP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z29android_os_Process_sendSignalP7_JNIEnvP8_jobjectii);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z29set_app_zygote_seccomp_filterv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z31android_os_Process_readProcFileP7_JNIEnvP8_jobjectP8_jstringP10_jintArrayP13_jobjectArrayP11_jlongArrayP12_jfloatArray);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z32android_os_Process_getGidForNameP7_JNIEnvP8_jobjectP8_jstring);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z32android_os_Process_getUidForNameP7_JNIEnvP8_jobjectP8_jstring);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z32android_os_Process_parseProcLineP7_JNIEnvP8_jobjectP11_jbyteArrayiiP10_jintArrayP13_jobjectArrayP11_jlongArrayP12_jfloatArray);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z32android_os_Process_readProcLinesP7_JNIEnvP8_jobjectP8_jstringP13_jobjectArrayP11_jlongArray);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z32android_os_Process_setSwappinessP7_JNIEnvP8_jobjectih);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z32install_setuidgid_seccomp_filterjj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z32register_android_hardware_CameraP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z33android_os_Process_setThreadGroupP7_JNIEnvP8_jobjectii);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z33register_android_media_AudioTrackP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z33register_android_opengl_jni_EGL14P7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z33register_android_opengl_jni_EGL15P7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z34JHwBinder_native_joinRpcThreadpoolv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z34android_os_Process_freezeCgroupUIDP7_JNIEnvP8_jobjectih);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z34android_os_Process_getProcessGroupP7_JNIEnvP8_jobjecti);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z34android_os_Process_sendSignalQuietP7_JNIEnvP8_jobjectii);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z34android_os_Process_setProcessGroupP7_JNIEnvP8_jobjectii);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z34javaAudioFormatToNativeAudioConfigP7_JNIEnvP12audio_configP8_jobjectb);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z34nativeAudioConfigToJavaAudioFormatP7_JNIEnvPK12audio_configPP8_jobjectb);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z34register_android_media_AudioRecordP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z34register_android_media_AudioSystemP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z34register_android_opengl_jni_EGLExtP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z34register_android_opengl_jni_GLES10P7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z34register_android_opengl_jni_GLES11P7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z34register_android_opengl_jni_GLES20P7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z34register_android_opengl_jni_GLES30P7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z34register_android_opengl_jni_GLES31P7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z34register_android_opengl_jni_GLES32P7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z35android_os_Process_killProcessGroupP7_JNIEnvP8_jobjectii);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z35android_os_Process_sendSignalThrowsP7_JNIEnvP8_jobjectii);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z35android_os_Process_setProcessFrozenP7_JNIEnvP8_jobjectiih);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z35convertAudioMixerAttributesToNativeP7_JNIEnvP8_jobjectP22audio_mixer_attributes);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z35register_android_hardware_SyncFenceP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z35register_android_hardware_UsbDeviceP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z36android_os_Binder_getNativeFinalizerP7_JNIEnvP7_jclass);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z36android_os_Process_getExclusiveCoresP7_JNIEnvP8_jobject);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z36android_os_Process_getThreadPriorityP7_JNIEnvP8_jobjecti);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z36android_os_Process_setThreadPriorityP7_JNIEnvP8_jobjectii);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z36register_android_hardware_SerialPortP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z36register_android_hardware_UsbRequestP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z36register_android_media_ToneGeneratorP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z36sk_report_container_overflow_and_diev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z37android_media_getIntConstantFromClassP7_JNIEnvP7_jclassPKcS4_Pi);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z37android_os_Process_createProcessGroupP7_JNIEnvP8_jobjectii);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z37android_os_Process_getPidsForCommandsP7_JNIEnvP8_jobjectP13_jobjectArray);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z37android_os_Process_getThreadSchedulerP7_JNIEnvP7_jclassi);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z37android_os_Process_parseProcLineArrayP7_JNIEnvP8_jobjectPciiP10_jintArrayP13_jobjectArrayP11_jlongArrayP12_jfloatArray);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z37android_os_Process_sendTgSignalThrowsP7_JNIEnvP8_jobjectiii);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z37android_os_Process_setThreadSchedulerP7_JNIEnvP7_jclassiii);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z37convertAudioMixerAttributesFromNativeP7_JNIEnvPK22audio_mixer_attributes);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z37register_android_media_MicrophoneInfoP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z37register_android_opengl_jni_GLES10ExtP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z37register_android_opengl_jni_GLES11ExtP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z37register_android_opengl_jni_GLES31ExtP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z38android_media_AudioTrack_getAudioTrackP7_JNIEnvP8_jobject);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z38javaAudioFormatToNativeAudioConfigBaseP7_JNIEnvP8_jobjectP17audio_config_baseb);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z38nativeAudioConfigBaseToJavaAudioFormatP7_JNIEnvPK17audio_config_baseb);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z38register_android_media_AudioAttributesP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z39JHwBinder_native_configureRpcThreadpoolP7_JNIEnvP7_jclasslh);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z39android_os_Process_setApplicationObjectP7_JNIEnvP8_jobjectS2_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z39register_android_graphics_GraphicBufferP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z39register_android_hardware_SensorManagerP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z40register_android_hardware_HardwareBufferP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z40register_android_media_AudioVolumeGroupsP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z41JHwBinder_native_setTrebleTestingOverrideP7_JNIEnvP7_jclassh);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z41android_os_BinderProxy_getNativeFinalizerP7_JNIEnvP7_jclass);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z41android_os_Process_removeAllProcessGroupsP7_JNIEnvP8_jobject);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z42android_os_Process_setThreadGroupAndCpusetP7_JNIEnvP8_jobjectii);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z43android_os_Process_sendSignalToProcessGroupP7_JNIEnvP8_jobjectiii);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z43android_os_Process_setCallingThreadPriorityP7_JNIEnvP8_jobjecti);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z43register_android_hardware_OverlayPropertiesP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z43register_com_google_android_gles_jni_GLImplP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z44register_android_hardware_camera2_DngCreatorP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z44register_android_media_AudioDeviceAttributesP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z44register_android_media_AudioEffectDescriptorP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z44register_com_google_android_gles_jni_EGLImplP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z45register_android_hardware_UsbDeviceConnectionP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z45register_android_media_AudioProductStrategiesP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z48register_android_hardware_camera2_CameraMetadataP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z4NextPvP10ZipEntry64PNSt3__112basic_stringIcNS2_11char_traitsIcEENS2_9allocatorIcEEEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z4NextPvP10ZipEntry64PNSt3__117basic_string_viewIcNS2_11char_traitsIcEEEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z4NextPvP8ZipEntryPNSt3__112basic_stringIcNS2_11char_traitsIcEENS2_9allocatorIcEEEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z4NextPvP8ZipEntryPNSt3__117basic_string_viewIcNS2_11char_traitsIcEEEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z50register_android_media_audio_common_AidlConversionP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z52register_android_hardware_camera2_utils_SurfaceUtilsP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z52register_android_media_AudioVolumeGroupChangeHandlerP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z54register_android_hardware_display_DisplayManagerGlobalP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z62register_android_hardware_location_ActivityRecognitionHardwareP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z67register_android_hardware_camera2_impl_CameraExtensionJpegProcessorP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z7sk_freePv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z8SkDebugfPKcz);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z8compressiiPhiiS_iiS_iiS_miiiiii);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z8compressiiR11RowIteratorILj16EERS_ILj8EES3_PhmNSt3__18functionIFvmEEEi);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z9FindEntryP10ZipArchiveNSt3__117basic_string_viewIcNS1_11char_traitsIcEEEEP10ZipEntry64);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z9FindEntryP10ZipArchiveNSt3__117basic_string_viewIcNS1_11char_traitsIcEEEEP8ZipEntry);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN10ZipArchive26InitializeCentralDirectoryElm);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN10ZipArchiveC2EO13MappedZipFileb);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN10ZipArchiveC2EPKvm);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN10ZipArchiveD2Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN11zip_archive6Writer9GetBufferEm);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN11zip_archive7InflateERKNS_6ReaderEmmPNS_6WriterEPm);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN13MappedZipFileC2Eill);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN13NativeContext10setGpsDataERK7GpsData);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN13NativeContext12setThumbnailEPKhjj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN13NativeContext14setCaptureTimeERKN7android7String8E);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN13NativeContext14setDescriptionERKN7android7String8E);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN13NativeContext14setOrientationEt);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN13NativeContext9getWriterEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN13NativeContextC2ERKN7android14CameraMetadataES3_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN13NativeContextD0Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN13NativeContextD2Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN14JniInputStream4openEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN14JniInputStream4readEPhmm);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN14JniInputStream4skipEm);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN14JniInputStream5closeEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN14JniInputStreamC2EP7_JNIEnvP8_jobject);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN14JniInputStreamD0Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN14JniInputStreamD2Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN15CdEntryMapZip6414ResetIterationEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN15CdEntryMapZip644NextEPKh);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN15CdEntryMapZip648AddToMapENSt3__117basic_string_viewIcNS0_11char_traitsIcEEEEPKh);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN15JniOutputStream4openEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN15JniOutputStream5closeEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN15JniOutputStream5writeEPKhmm);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN15JniOutputStreamC2EP7_JNIEnvP8_jobject);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN15JniOutputStreamD0Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN15JniOutputStreamD2Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN16CentralDirectory10InitializeEPKvlm);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN16InputStripSource13writeToStreamERN7android9img_utils6OutputEj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN16InputStripSourceC2EP7_JNIEnvRN7android9img_utils5InputEjjjjjmjj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN16InputStripSourceD0Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN16InputStripSourceD2Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN16JNICameraContext11copyAndPostEP7_JNIEnvRKN7android2spINS2_7IMemoryEEEi);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN16JNICameraContext12postMetadataEP7_JNIEnviP21camera_frame_metadata);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN16JNICameraContext15setCallbackModeEP7_JNIEnvbb);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN16JNICameraContext17addCallbackBufferEP7_JNIEnvP11_jbyteArrayi);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN16JNICameraContext17getCallbackBufferEP7_JNIEnvPN7android6VectorIP11_jbyteArrayEEm);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN16JNICameraContext17postDataTimestampEliRKN7android2spINS0_7IMemoryEEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN16JNICameraContext22clearCallbackBuffers_lEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN16JNICameraContext22clearCallbackBuffers_lEP7_JNIEnvPN7android6VectorIP11_jbyteArrayEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN16JNICameraContext33postRecordingFrameHandleTimestampElP13native_handle);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN16JNICameraContext38postRecordingFrameHandleTimestampBatchERKNSt3__16vectorIlNS0_9allocatorIlEEEERKNS1_IP13native_handleNS2_IS8_EEEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN16JNICameraContext6notifyEiii);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN16JNICameraContext7releaseEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN16JNICameraContext8postDataEiRKN7android2spINS0_7IMemoryEEEP21camera_frame_metadata);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN16JNICameraContextC1EP7_JNIEnvP8_jobjectP7_jclassRKN7android2spINS6_6CameraEEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN16JNICameraContextC2EP7_JNIEnvP8_jobjectP7_jclassRKN7android2spINS6_6CameraEEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN17DirectStripSource13writeToStreamERN7android9img_utils6OutputEj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN17DirectStripSourceC2EP7_JNIEnvPKhjjjjjmjj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN17DirectStripSourceD0Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN17DirectStripSourceD2Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN18DeathRecipientList3addERKN7android2spI18JavaDeathRecipientEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN18DeathRecipientList4findEP8_jobject);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN18DeathRecipientList4lockEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN18DeathRecipientList6removeERKN7android2spI18JavaDeathRecipientEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN18DeathRecipientListC2Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN18DeathRecipientListD0Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN18DeathRecipientListD2Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN18FileDescriptorInfo12CreateFromFdEiRKNSt3__18functionIFvNS0_12basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEEEEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN18FileDescriptorInfo13GetSocketNameEiPNSt3__112basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN18FileDescriptorInfoC2E4statRKNSt3__112basic_stringIcNS1_11char_traitsIcEENS1_9allocatorIcEEEEiiiil);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN18FileDescriptorInfoC2Ei);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN18JniInputByteBuffer4openEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN18JniInputByteBuffer4readEPhmm);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN18JniInputByteBuffer5closeEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN18JniInputByteBufferC2EP7_JNIEnvP8_jobject);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN18JniInputByteBufferD0Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN18JniInputByteBufferD2Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN19CdEntryMapInterface6CreateEmmt);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN19FileDescriptorTable14ReopenOrDetachERKNSt3__18functionIFvNS0_12basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEEEEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN19FileDescriptorTable14RestatInternalERNSt3__13setIiNS0_4lessIiEENS0_9allocatorIiEEEERKNS0_8functionIFvNS0_12basic_stringIcNS0_11char_traitsIcEENS4_IcEEEEEEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN19FileDescriptorTable6CreateERKNSt3__16vectorIiNS0_9allocatorIiEEEERKNS0_8functionIFvNS0_12basic_stringIcNS0_11char_traitsIcEENS2_IcEEEEEEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN19FileDescriptorTable6RestatERKNSt3__16vectorIiNS0_9allocatorIiEEEERKNS0_8functionIFvNS0_12basic_stringIcNS0_11char_traitsIcEENS2_IcEEEEEEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN19FileDescriptorTableC2ENSt3__113unordered_mapIiNS0_10unique_ptrI18FileDescriptorInfoNS0_14default_deleteIS3_EEEENS0_4hashIiEENS0_8equal_toIiEENS0_9allocatorINS0_4pairIKiS6_EEEEEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN19FileDescriptorTableD2Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN20JNIAudioPortCallback13onServiceDiedEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN20JNIAudioPortCallback21onAudioPortListUpdateEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN20JNIAudioPortCallback22onAudioPatchListUpdateEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN20JNIAudioPortCallback9sendEventEi);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN20JNIAudioPortCallbackC1EP7_JNIEnvP8_jobjectS3_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN20JNIAudioPortCallbackC2EP7_JNIEnvP8_jobjectS3_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN20JNIAudioPortCallbackD0Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN20JNIAudioPortCallbackD1Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN20JNIAudioPortCallbackD2Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN20SkContainerAllocator8allocateEid);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN23FileDescriptorAllowlist3GetEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN23FileDescriptorAllowlistC2Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN5SkUTF10CountUTF16EPKtm);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN5SkUTF10CountUTF32EPKim);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN5SkUTF11UTF16ToUTF8EPciPKtm);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN5SkUTF11UTF8ToUTF16EPtiPKcm);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN5SkUTF23NextUTF8WithReplacementEPPKcS1_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN5SkUTF6ToUTF8EiPc);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN5SkUTF7ToUTF16EiPt);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN5SkUTF8NextUTF8EPPKcS1_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN5SkUTF9CountUTF8EPKcm);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN5SkUTF9NextUTF16EPPKtS1_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN5SkUTF9NextUTF32EPPKiS1_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN5incfs12ScopedJmpBufD2Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN5incfs13SignalHandler7handlerEiP7siginfoPv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN5incfs13SignalHandler8instanceEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN5incfs13SignalHandlerC2Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN5incfs4util9isIncfsFdEi);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN6SkRect14setBoundsCheckEPK7SkPointi);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN6SkRect16setBoundsNoCheckEPK7SkPointi);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN6SkRect4joinERKS_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN6SkRect9intersectERKS_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN6SkRect9intersectERKS_S1_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7SkIRect4joinERKS_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7SkIRect9intersectERKS_S1_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android10InputQueue11createQueueEP8_jobjectRKNS_2spINS_6LooperEEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android10InputQueue11finishEventEPNS_10InputEventEb);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android10InputQueue12attachLooperEPNS_6LooperEiPFiiiPvES3_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android10InputQueue12detachLooperEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android10InputQueue12enqueueEventEPNS_10InputEventE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android10InputQueue13handleMessageERKNS_7MessageE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android10InputQueue14createKeyEventEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android10InputQueue16preDispatchEventEPNS_10InputEventE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android10InputQueue17createMotionEventEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android10InputQueue17recycleInputEventEPNS_10InputEventE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android10InputQueue18detachLooperLockedEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android10InputQueue8getEventEPPNS_10InputEventE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android10InputQueue9hasEventsEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android10InputQueueC1EP8_jobjectRKNS_2spINS_6LooperEEEii);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android10InputQueueC2EP8_jobjectRKNS_2spINS_6LooperEEEii);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android10InputQueueD0Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android10InputQueueD1Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android10InputQueueD2Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android10dmabufinfo14ReadBufferSizeEjPmRKNSt3__112basic_stringIcNS2_11char_traitsIcEENS2_9allocatorIcEEEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android10dmabufinfo14ReadDmaBufInfoEiPNSt3__16vectorINS0_9DmaBufferENS1_9allocatorIS3_EEEEbRKNS1_12basic_stringIcNS1_11char_traitsIcEENS4_IcEEEESE_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android10dmabufinfo16ReadDmaBufFdRefsEiPNSt3__16vectorINS0_9DmaBufferENS1_9allocatorIS3_EEEERKNS1_12basic_stringIcNS1_11char_traitsIcEENS4_IcEEEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android10dmabufinfo17ReadDmaBufMapRefsEiPNSt3__16vectorINS0_9DmaBufferENS1_9allocatorIS3_EEEERKNS1_12basic_stringIcNS1_11char_traitsIcEENS4_IcEEEESE_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android10dmabufinfo17ReadProcfsDmaBufsEPNSt3__16vectorINS0_9DmaBufferENS1_9allocatorIS3_EEEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android10dmabufinfo18ReadBufferExporterEjPNSt3__112basic_stringIcNS1_11char_traitsIcEENS1_9allocatorIcEEEERKS7_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android10dmabufinfo19GetDmabufSysfsStatsEPNS0_16DmabufSysfsStatsERKNSt3__112basic_stringIcNS3_11char_traitsIcEENS3_9allocatorIcEEEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android10dmabufinfo24GetDmabufTotalExportedKbEPmRKNSt3__112basic_stringIcNS2_11char_traitsIcEENS2_9allocatorIcEEEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android10setFieldSpI20AudioTrackJniStorageEENS_2spIT_EEP7_JNIEnvP8_jobjectRKS4_P9_jfieldID);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android10setFieldSpI21AudioRecordJNIStorageEENS_2spIT_EEP7_JNIEnvP8_jobjectRKS4_P9_jfieldID);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android10setFieldSpINS_10AudioTrackEEENS_2spIT_EEP7_JNIEnvP8_jobjectRKS4_P9_jfieldID);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android10setFieldSpINS_11AudioRecordEEENS_2spIT_EEP7_JNIEnvP8_jobjectRKS4_P9_jfieldID);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android11GetReferentEP7_JNIEnvP8_jobject);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android11JHidlMemory12javaToNativeEP7_JNIEnvP8_jobject);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android11JHidlMemory16getNativeContextEP7_JNIEnvP8_jobject);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android11JHidlMemory6toJavaEP7_JNIEnvRKNS_8hardware11hidl_memoryE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android11JHidlMemory8fromJavaEP7_JNIEnvP8_jobject);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android11JHidlMemoryD2Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android11nativeFlushEP7_JNIEnvP7_jclassP8_jobjectl);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android11nativeTraceEP7_JNIEnvP7_jclasslP8_jobject);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android12MessageQueue22raiseAndClearExceptionEP7_JNIEnvPKc);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android12MessageQueueC2Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android12MessageQueueD0Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android12MessageQueueD1Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android12MessageQueueD2Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android12nativeCreateEP7_JNIEnvP7_jclassP8_jobjectP8_jstring);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android13JNativeHandle19MakeCppNativeHandleEP7_JNIEnvP8_jobjectPNS_16EphemeralStorageE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android13JNativeHandle23MakeJavaNativeHandleObjEP7_JNIEnvPK13native_handle);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android13JNativeHandle29AllocJavaNativeHandleObjArrayEP7_JNIEnvi);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android13kernelconfigs17LoadKernelConfigsEPNSt3__13mapINS1_12basic_stringIcNS1_11char_traitsIcEENS1_9allocatorIcEEEES8_NS1_4lessIS8_EENS6_INS1_4pairIKS8_S8_EEEEEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android13nativeDestroyEPv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android14AndroidRuntime10getRuntimeEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android14AndroidRuntime11onVmCreatedEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android14AndroidRuntime14parseExtraOptsEPcPKc);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android14AndroidRuntime15NewStringLatin1EP7_JNIEnvPKc);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android14AndroidRuntime15javaThreadShellEPv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android14AndroidRuntime16createJavaThreadEPKcPFvPvES3_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android14AndroidRuntime16toSlashClassNameEPKc);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android14AndroidRuntime18parseRuntimeOptionEPKcPcS2_S2_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android14AndroidRuntime19javaCreateThreadEtcEPFiPvES1_PKcimPS1_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android14AndroidRuntime19parseCompilerOptionEPKcPcS2_S2_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android14AndroidRuntime21registerNativeMethodsEP7_JNIEnvPKcPK15JNINativeMethodi);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android14AndroidRuntime26parseCompilerRuntimeOptionEPKcPcS2_S2_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android14AndroidRuntime4exitEi);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android14AndroidRuntime5startEPKcRKNS_6VectorINS_7String8EEEb);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android14AndroidRuntime7startVmEPP7_JavaVMPP7_JNIEnvbb);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android14AndroidRuntime8callMainERKNS_7String8EP7_jclassRKNS_6VectorIS1_EE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android14AndroidRuntime8setArgv0EPKcb);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android14AndroidRuntime8startRegEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android14AndroidRuntime9addOptionEPKcPv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android14AndroidRuntime9getJNIEnvEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android14AndroidRuntime9getJavaVMEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android14AndroidRuntimeC2EPcm);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android14AndroidRuntimeD0Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android14AndroidRuntimeD2Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android14nativeFlushAllEP7_JNIEnvP7_jclassl);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android15JHwRemoteBinder16GetNativeContextEP7_JNIEnvP8_jobject);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android15JHwRemoteBinder16SetNativeContextEP7_JNIEnvP8_jobjectRKNS_2spIS0_EE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android15JHwRemoteBinder9InitClassEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android15JHwRemoteBinder9NewObjectEP7_JNIEnvRKNS_2spINS_8hardware7IBinderEEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android15JHwRemoteBinder9setBinderERKNS_2spINS_8hardware7IBinderEEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android15JHwRemoteBinderC2EP7_JNIEnvP8_jobjectRKNS_2spINS_8hardware7IBinderEEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android15MediaMetricsJNI20writeMetricsToBundleEP7_JNIEnvPNS_12mediametrics4ItemEP8_jobject);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android15MediaMetricsJNI29nativeToJavaPersistableBundleEP7_JNIEnvPNS_2os17PersistableBundleE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android15getBPNativeDataEP7_JNIEnvP8_jobject);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android15nativeCreateTpcEP7_JNIEnvP7_jclassP8_jobject);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android16DeleteScreenshotEPvS0_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android16EphemeralStorage16allocStringArrayEm);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android16EphemeralStorage20allocTemporaryStringEP7_JNIEnvP8_jstring);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android16EphemeralStorage21allocTemporaryStorageEm);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android16EphemeralStorage24allocTemporaryInt8VectorEP7_JNIEnvP11_jbyteArray);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android16EphemeralStorage25allocTemporaryFloatVectorEP7_JNIEnvP12_jfloatArray);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android16EphemeralStorage25allocTemporaryInt16VectorEP7_JNIEnvP12_jshortArray);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android16EphemeralStorage25allocTemporaryInt32VectorEP7_JNIEnvP10_jintArray);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android16EphemeralStorage25allocTemporaryInt64VectorEP7_JNIEnvP11_jlongArray);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android16EphemeralStorage26allocTemporaryDoubleVectorEP7_JNIEnvP13_jdoubleArray);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android16EphemeralStorage26allocTemporaryNativeHandleEii);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android16EphemeralStorage7releaseEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android16EphemeralStorageC2Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android16EphemeralStorageD2Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android16destroyNativeTpcEPv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android17ApkAssetsFromLongEl);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android17JNIDeviceCallback19onAudioDeviceUpdateEii);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android17JNIDeviceCallbackC1EP7_JNIEnvP8_jobjectS4_P10_jmethodID);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android17JNIDeviceCallbackC2EP7_JNIEnvP8_jobjectS4_P10_jmethodID);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android17JNIDeviceCallbackD0Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android17JNIDeviceCallbackD1Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android17JNIDeviceCallbackD2Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android18NativeInputChannel18setDisposeCallbackEPFvP7_JNIEnvP8_jobjectRKNSt3__110shared_ptrINS_12InputChannelEEEPvESB_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android18NativeInputChannel7disposeEP7_JNIEnvP8_jobject);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android18NativeInputChannelC2ENSt3__110unique_ptrINS_12InputChannelENS1_14default_deleteIS3_EEEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android18NativeInputChannelD2Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android18NativeMessageQueue11handleEventEiiPv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android18NativeMessageQueue14raiseExceptionEP7_JNIEnvPKcP11_jthrowable);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android18NativeMessageQueue18WeakLooperCallback11handleEventEiiPv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android18NativeMessageQueue18WeakLooperCallbackC1ERKNS_2wpINS_14LooperCallbackEEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android18NativeMessageQueue18WeakLooperCallbackC2ERKNS_2wpINS_14LooperCallbackEEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android18NativeMessageQueue18WeakLooperCallbackD0Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android18NativeMessageQueue18WeakLooperCallbackD1Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android18NativeMessageQueue18WeakLooperCallbackD2Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android18NativeMessageQueue23setFileDescriptorEventsEii);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android18NativeMessageQueue4wakeEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android18NativeMessageQueue8pollOnceEP7_JNIEnvP8_jobjecti);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android18NativeMessageQueueC1Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android18NativeMessageQueueC2Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android18NativeMessageQueueD0Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android18NativeMessageQueueD1Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android18NativeMessageQueueD2Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android18PerfettoDataSource11newInstanceEP7_JNIEnvPvmj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android18PerfettoDataSource23createTlsStateGlobalRefEP7_JNIEnvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android18PerfettoDataSource31createIncrementalStateGlobalRefEP7_JNIEnvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android18PerfettoDataSource5traceEP7_JNIEnvP8_jobject);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android18PerfettoDataSource8flushAllEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android18PerfettoDataSourceC1EP7_JNIEnvP8_jobjectNSt3__112basic_stringIcNS5_11char_traitsIcEENS5_9allocatorIcEEEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android18PerfettoDataSourceC2EP7_JNIEnvP8_jobjectNSt3__112basic_stringIcNS5_11char_traitsIcEENS5_9allocatorIcEEEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android18PerfettoDataSourceD0Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android18PerfettoDataSourceD1Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android18PerfettoDataSourceD2Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android18createInputChannelERKNS_2spINS_7IBinderEEERKNS_18InputTransferTokenERKNS_14SurfaceControlES7_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android18removeInputChannelERKNS_2spINS_7IBinderEEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android19parcelForJavaObjectEP7_JNIEnvP8_jobject);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android19register_jni_commonEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android20VelocityTrackerState11addMovementERKNS_11MotionEventE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android20VelocityTrackerState11getVelocityEii);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android20VelocityTrackerState22computeCurrentVelocityEif);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android20VelocityTrackerState5clearEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android20VelocityTrackerStateC2ENS_15VelocityTracker8StrategyE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android20ibinderForJavaObjectEP7_JNIEnvP8_jobject);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android20javaObjectForIBinderEP7_JNIEnvRKNS_2spINS_7IBinderEEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android20perfettoProducerInitEP7_JNIEnvP7_jclassi);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android20poly_clip_to_frustumEPNS_4PolyE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android21JNIAudioTrackCallback20onCodecFormatChangedERKNSt3__16vectorIhNS1_9allocatorIhEEEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android21JNIAudioTrackCallbackC1EP7_JNIEnvP8_jobjectS4_P10_jmethodID);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android21JNIAudioTrackCallbackC2EP7_JNIEnvP8_jobjectS4_P10_jmethodID);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android21JNIAudioTrackCallbackD0Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android21JNIAudioTrackCallbackD1Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android21JNIAudioTrackCallbackD2Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android21destroyNativeListenerEPv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android22NativeInputEventSender10initializeEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android22NativeInputEventSender11handleEventEiiPv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android22NativeInputEventSender12sendKeyEventEjPKNS_8KeyEventE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android22NativeInputEventSender15sendMotionEventEjPKNS_11MotionEventE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android22NativeInputEventSender22notifyConsumerResponseEP7_JNIEnvP8_jobjectRKNSt3__17variantIJNS_14InputPublisher8FinishedENS7_8TimelineEEEEb);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android22NativeInputEventSender23processConsumerResponseEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android22NativeInputEventSender7disposeEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android22NativeInputEventSenderC1EP7_JNIEnvP8_jobjectRKNSt3__110shared_ptrINS_12InputChannelEEERKNS_2spINS_12MessageQueueEEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android22NativeInputEventSenderC2EP7_JNIEnvP8_jobjectRKNSt3__110shared_ptrINS_12InputChannelEEERKNS_2spINS_12MessageQueueEEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android22NativeInputEventSenderD0Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android22NativeInputEventSenderD1Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android22NativeInputEventSenderD2Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android22createJavaParcelObjectEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android22poly_clip_to_halfspaceEPNS_4PolyES1_iff);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android22validateCanUseHwBinderERKNS_2spINS_8hardware7IBinderEEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android23JNIAudioAttributeHelper10makeUniqueEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android23JNIAudioAttributeHelper12getJavaArrayEP7_JNIEnvPP13_jobjectArrayi);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android23JNIAudioAttributeHelper12nativeToJavaEP7_JNIEnvPP8_jobjectRK18audio_attributes_t);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android23JNIAudioAttributeHelper14nativeFromJavaEP7_JNIEnvP8_jobjectP18audio_attributes_t);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android23NativeInputWindowHandle10updateInfoEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android23NativeInputWindowHandle31getInputWindowHandleObjLocalRefEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android23NativeInputWindowHandleC2EP8_jobject);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android23NativeInputWindowHandleD0Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android23NativeInputWindowHandleD2Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android23binder_report_exceptionEP7_JNIEnvP11_jthrowablePKc);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android23newParcelFileDescriptorEP7_JNIEnvP8_jobject);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android23recycleJavaParcelObjectEP7_JNIEnvP8_jobject);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android23signalExceptionForErrorEP7_JNIEnvP8_jobjectibi);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android23signalExceptionForErrorEP7_JNIEnvib);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android23throw_sqlite3_exceptionEP7_JNIEnvP7sqlite3);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android23throw_sqlite3_exceptionEP7_JNIEnvP7sqlite3PKc);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android23throw_sqlite3_exceptionEP7_JNIEnvPKc);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android23throw_sqlite3_exceptionEP7_JNIEnviPKcS3_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android24LockAndStartAssetManagerEl);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android24MockCpuTimeInStateReader20getCpuFrequencyCountEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android24MockCpuTimeInStateReader28startAggregatingTaskCpuTimesEit);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android24MockCpuTimeInStateReader28startTrackingProcessCpuTimesEi);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android24MockCpuTimeInStateReader29getAggregatedTaskCpuFreqTimesEiRKNSt3__16vectorItNS1_9allocatorItEEEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android24NativeInputEventReceiver10initializeEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android24NativeInputEventReceiver11handleEventEiiPv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android24NativeInputEventReceiver11setFdEventsEi);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android24NativeInputEventReceiver13consumeEventsEP7_JNIEnvblPb);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android24NativeInputEventReceiver14reportTimelineEill);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android24NativeInputEventReceiver16finishInputEventEjb);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android24NativeInputEventReceiver16probablyHasInputEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android24NativeInputEventReceiver21processOutboundEventsEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android24NativeInputEventReceiver4dumpEPKc);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android24NativeInputEventReceiver7disposeEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android24NativeInputEventReceiverC1EP7_JNIEnvP8_jobjectRKNSt3__110shared_ptrINS_12InputChannelEEERKNS_2spINS_12MessageQueueEEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android24NativeInputEventReceiverC2EP7_JNIEnvP8_jobjectRKNSt3__110shared_ptrINS_12InputChannelEEERKNS_2spINS_12MessageQueueEEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android24NativeInputEventReceiverD0Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android24NativeInputEventReceiverD1Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android24NativeInputEventReceiverD2Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android24nativeRegisterDataSourceEP7_JNIEnvP7_jclassli);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android25AssetManagerForJavaObjectEP7_JNIEnvP8_jobject);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android25register_android_os_DebugEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android25register_android_os_TraceEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android25register_android_util_LogEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android26HwBinderDeathRecipientList3addERKNS_2spINS_22HwBinderDeathRecipientEEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android26HwBinderDeathRecipientList4findEP8_jobject);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android26HwBinderDeathRecipientList4lockEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android26HwBinderDeathRecipientList6removeERKNS_2spINS_22HwBinderDeathRecipientEEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android26HwBinderDeathRecipientListC2Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android26HwBinderDeathRecipientListD0Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android26HwBinderDeathRecipientListD2Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android26NativeDisplayEventReceiver13dispatchVsyncElNS_17PhysicalDisplayIdEjNS_3gui14VsyncEventDataE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android26NativeDisplayEventReceiver15dispatchHotplugElNS_17PhysicalDisplayIdEb);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android26NativeDisplayEventReceiver19dispatchModeChangedElNS_17PhysicalDisplayIdEil);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android26NativeDisplayEventReceiver25dispatchHdcpLevelsChangedENS_17PhysicalDisplayIdEii);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android26NativeDisplayEventReceiver26dispatchFrameRateOverridesElNS_17PhysicalDisplayIdENSt3__16vectorINS_20DisplayEventReceiver5Event17FrameRateOverrideENS2_9allocatorIS6_EEEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android26NativeDisplayEventReceiver30dispatchHotplugConnectionErrorEli);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android26NativeDisplayEventReceiver7disposeEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android26NativeDisplayEventReceiverC1EP7_JNIEnvP8_jobjectS4_RKNS_2spINS_12MessageQueueEEEiil);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android26NativeDisplayEventReceiverC2EP7_JNIEnvP8_jobjectS4_RKNS_2spINS_12MessageQueueEEEiil);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android26NativeDisplayEventReceiverD0Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android26NativeDisplayEventReceiverD1Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android26NativeDisplayEventReceiverD2Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android26PerfettoDataSourceInstance6onStopEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android26PerfettoDataSourceInstance7onFlushEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android26PerfettoDataSourceInstance7onStartEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android26PerfettoDataSourceInstanceC2EP7_JNIEnvP8_jobjectj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android26PerfettoDataSourceInstanceD2Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android26SurfaceTexture_getProducerEP7_JNIEnvP8_jobject);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android26audioEffectDescriptorClassEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android26register_android_os_HwBlobEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android26register_android_os_ParcelEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android27JNIAudioVolumeGroupCallback13onServiceDiedEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android27JNIAudioVolumeGroupCallback25onAudioVolumeGroupChangedENS_14volume_group_tEi);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android27JNIAudioVolumeGroupCallbackC1EP7_JNIEnvP8_jobjectS4_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android27JNIAudioVolumeGroupCallbackC2EP7_JNIEnvP8_jobjectS4_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android27JNIAudioVolumeGroupCallbackD0Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android27JNIAudioVolumeGroupCallbackD1Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android27JNIAudioVolumeGroupCallbackD2Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android27register_android_os_SELinuxEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android28NativeInputApplicationHandle10updateInfoEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android28NativeInputApplicationHandle36getInputApplicationHandleObjLocalRefEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android28NativeInputApplicationHandleC2EP8_jobject);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android28NativeInputApplicationHandleD0Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android28NativeInputApplicationHandleD2Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android28NdkAssetManagerForJavaObjectEP7_JNIEnvP8_jobject);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android28callJavaMethodWithArgsObjectEP7_JNIEnvP8_jobjectP10_jmethodIDS3_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android28register_android_os_HwBinderEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android28register_android_os_HwParcelEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android28set_dalvik_blockguard_policyEP7_JNIEnvi);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android29android_NativeActivity_finishEP15ANativeActivity);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android29android_view_KeyEvent_recycleEP7_JNIEnvP8_jobject);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android29android_view_VerifiedKeyEventEP7_JNIEnvRKNS_16VerifiedKeyEventE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android29register_android_app_ActivityEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android29register_android_view_SurfaceEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android30AssetManagerForNdkAssetManagerEP13AAssetManager);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android30register_android_os_HidlMemoryEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android30register_android_os_MemoryFileEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android30register_android_util_EventLogEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android30register_android_view_KeyEventEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android31android_view_InputDevice_createEP7_JNIEnvRKNS_15InputDeviceInfoE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android31android_view_Surface_getSurfaceEP7_JNIEnvP8_jobject);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android31convertMicrophoneInfoFromNativeEP7_JNIEnvPP8_jobjectPKNS_5media16MicrophoneInfoFwE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android31nativeGetPerfettoInstanceLockedEP7_JNIEnvP7_jclasslj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android31register_android_opengl_classesEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android31register_android_os_HidlSupportEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android31register_android_os_SystemClockEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android31throw_sqlite3_exception_errcodeEP7_JNIEnviPKc);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android32CameraMetadata_getNativeMetadataEP7_JNIEnvP8_jobjectPNS_14CameraMetadataE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android32SurfaceTexture_getSurfaceTextureEP7_JNIEnvP8_jobject);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android32android_view_MotionEvent_recycleEP7_JNIEnvP8_jobject);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android32android_view_VerifiedMotionEventEP7_JNIEnvRKNS_19VerifiedMotionEventE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android32register_android_os_FileObserverEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android32register_android_os_MessageQueueEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android32register_android_os_NativeHandleEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android32register_android_os_SharedMemoryEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android32register_android_security_ScryptEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android32register_android_text_HyphenatorEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android32register_android_view_InputQueueEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android33android_Configuration_getFromJavaEP7_JNIEnvP8_jobjectP14AConfiguration);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android33android_view_PointerIcon_toNativeEP7_JNIEnvP8_jobject);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android33android_view_Surface_isInstanceOfEP7_JNIEnvP8_jobject);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android33createAudioDeviceTypeAddrFromJavaEP7_JNIEnvPNS_19AudioDeviceTypeAddrEP8_jobject);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android33register_android_content_XmlBlockEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android33register_android_view_InputDeviceEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android33register_android_view_MotionEventEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android33register_android_view_PointerIconEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android33register_android_view_TextureViewEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android34android_view_KeyEvent_obtainAsCopyEP7_JNIEnvP8_jobject);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android34android_view_KeyEvent_obtainAsCopyEP7_JNIEnvRKNS_8KeyEventE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android34convertHdrCapabilitiesToJavaObjectEP7_JNIEnvRKNS_15HdrCapabilitiesE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android34register_android_os_HwRemoteBinderEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android34register_android_os_ServiceManagerEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android34register_android_os_UEventObserverEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android34register_android_util_CharsetUtilsEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android34register_android_view_InputChannelEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android35android_SurfaceTexture_isInstanceOfEP7_JNIEnvP8_jobject);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android35android_view_KeyCharacterMap_createEP7_JNIEnviNSt3__110unique_ptrINS_15KeyCharacterMapENS2_14default_deleteIS4_EEEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android35nativeReleasePerfettoInstanceLockedEP7_JNIEnvP7_jclasslj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android35register_android_app_ActivityThreadEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android35register_android_app_NativeActivityEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android35register_android_media_MediaMetricsEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android36android_NativeActivity_hideSoftInputEP15ANativeActivityi);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android36android_NativeActivity_showSoftInputEP15ANativeActivityi);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android36android_os_Debug_getDeathObjectCountEP7_JNIEnvP8_jobject);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android36android_os_Debug_getLocalObjectCountEP7_JNIEnvP8_jobject);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android36android_os_Debug_getProxyObjectCountEP7_JNIEnvP8_jobject);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android36android_util_Log_isVerboseLogEnabledEPKc);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android36android_view_InputQueue_getNativePtrEP7_JNIEnvP8_jobject);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android36android_view_Surface_getNativeWindowEP7_JNIEnvP8_jobject);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android36register_android_content_StringBlockEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android36register_android_media_RemoteDisplayEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android36register_android_net_LocalSocketImplEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android36register_android_os_SystemPropertiesEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android36register_android_util_MemoryIntArrayEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android36register_android_view_SurfaceControlEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android36register_android_view_SurfaceSessionEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android37android_NativeActivity_setWindowFlagsEP15ANativeActivityii);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android37android_view_MotionEvent_getNativePtrEP7_JNIEnvP8_jobject);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android37android_view_MotionEvent_obtainAsCopyEP7_JNIEnvRKNS_11MotionEventE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android37android_view_SurfaceSession_getClientEP7_JNIEnvP8_jobject);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android37createAudioDeviceAttributesFromNativeEP7_JNIEnvPP8_jobjectPKNS_19AudioDeviceTypeAddrE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android37register_android_content_AssetManagerEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android37register_android_database_SQLiteDebugEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android37register_android_view_KeyCharacterMapEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android37register_android_view_MotionPredictorEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android37register_android_view_VelocityTrackerEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android37register_android_window_ScreenCaptureEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android38android_NativeActivity_setWindowFormatEP15ANativeActivityi);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android38android_view_Surface_createFromSurfaceEP7_JNIEnvRKNS_2spINS_7SurfaceEEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android38convertAudioEffectDescriptorFromNativeEP7_JNIEnvPP8_jobjectPK19effect_descriptor_s);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android38register_android_app_admin_SecurityLogEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android38register_android_app_backup_FullBackupEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android38register_android_content_res_ApkAssetsEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android38register_android_database_CursorWindowEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android38register_android_database_SQLiteGlobalEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android38register_android_text_AndroidCharacterEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android38register_android_view_InputEventSenderEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android38register_android_view_VerifiedKeyEventEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android39android_os_MessageQueue_getMessageQueueEP7_JNIEnvP8_jobject);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android39register_android_backup_BackupDataInputEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android39register_android_content_res_ObbScannerEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android39register_android_os_GraphicsEnvironmentEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android39register_android_util_jar_StrictJarFileEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android39register_android_view_InputWindowHandleEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android39register_com_android_internal_os_ZygoteEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android3gui10WindowInfo14readFromParcelEPKNS_6ParcelE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android3gui10WindowInfo14setInputConfigENS_3ftl5FlagsINS1_11InputConfigEEEb);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android3gui10WindowInfo18addTouchableRegionERKNS_4RectE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android3gui11DisplayInfo14readFromParcelEPKNS_6ParcelE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android3gui12FocusRequest14readFromParcelEPKNS_6ParcelE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android3gui16WindowInfoHandle10updateFromENS_2spIS1_EE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android3gui16WindowInfoHandle14readFromParcelEPKNS_6ParcelE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android3gui16WindowInfoHandle14releaseChannelEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android3gui16WindowInfoHandleC2ERKNS0_10WindowInfoE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android3gui16WindowInfoHandleC2ERKS1_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android3gui16WindowInfoHandleC2Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android3gui16WindowInfoHandleD0Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android3gui16WindowInfoHandleD2Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android3gui20InputApplicationInfo14readFromParcelEPKNS_6ParcelE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android3gui22StalledTransactionInfo14readFromParcelEPKNS_6ParcelE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android3gui28IWindowInfosReportedListener11asInterfaceERKNS_2spINS_7IBinderEEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android3gui28IWindowInfosReportedListener14getDefaultImplEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android3gui28IWindowInfosReportedListener14setDefaultImplENS_2spIS1_EE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android3gui28IWindowInfosReportedListenerC2Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android3gui28IWindowInfosReportedListenerD0Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android3gui28IWindowInfosReportedListenerD1Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android3gui28IWindowInfosReportedListenerD2Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android3gui29BnWindowInfosReportedListener10onTransactEjRKNS_6ParcelEPS2_j);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android3gui29BnWindowInfosReportedListenerC2Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android3gui29BpWindowInfosReportedListener21onWindowInfosReportedEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android3gui29BpWindowInfosReportedListenerC1ERKNS_2spINS_7IBinderEEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android3gui29BpWindowInfosReportedListenerC2ERKNS_2spINS_7IBinderEEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android3guilsERNSt3__113basic_ostreamIcNS1_11char_traitsIcEEEERKNS0_10WindowInfoE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android3guilsERNSt3__113basic_ostreamIcNS1_11char_traitsIcEEEERKNS0_16WindowInfoHandleE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android40android_view_InputWindowHandle_getHandleEP7_JNIEnvP8_jobject);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android40register_android_backup_BackupDataOutputEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android40register_android_ddm_DdmHandleNativeHeapEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android40register_android_graphics_SurfaceTextureEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android40register_android_view_InputEventReceiverEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android41android_view_InputChannel_getInputChannelEP7_JNIEnvP8_jobject);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android41android_view_MotionEvent_obtainFromNativeEP7_JNIEnvNSt3__110unique_ptrINS_11MotionEventENS2_14default_deleteIS4_EEEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android41register_android_tracing_PerfettoProducerEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android41register_android_view_VerifiedMotionEventEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android41register_android_view_WindowManagerGlobalEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android42android_view_InputChannel_createJavaObjectEP7_JNIEnvNSt3__110unique_ptrINS_12InputChannelENS2_14default_deleteIS4_EEEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android42register_android_content_res_ConfigurationEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android42register_android_content_res_ResourceTimerEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android42register_android_database_SQLiteConnectionEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android42register_android_graphics_BLASTBufferQueueEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android42register_android_os_PerformanceHintManagerEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android42register_android_os_storage_StorageManagerEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android42register_android_service_DataLoaderServiceEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android42register_android_view_DisplayEventReceiverEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android42register_android_window_InputTransferTokenEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android43register_android_tracing_PerfettoDataSourceEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android43register_android_window_WindowInfosListenerEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android43register_com_android_internal_os_ZygoteInitEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android44android_view_InputChannel_setDisposeCallbackEP7_JNIEnvP8_jobjectPFvS1_S3_RKNSt3__110shared_ptrINS_12InputChannelEEEPvESA_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android44convertAudioEffectDescriptorVectorFromNativeEP7_JNIEnvPP13_jobjectArrayRKNSt3__16vectorI19effect_descriptor_sNS5_9allocatorIS7_EEEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android44register_android_backup_FileBackupHelperBaseEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android44register_android_database_SQLiteRawStatementEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android44register_android_view_InputApplicationHandleEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android44register_com_android_internal_os_FuseAppLoopEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android44register_com_android_internal_os_RuntimeInitEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android45android_view_InputApplicationHandle_getHandleEP7_JNIEnvP8_jobject);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android45android_view_InputWindowHandle_fromWindowInfoEP7_JNIEnvNS_3gui10WindowInfoE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android46register_android_backup_BackupHelperDispatcherEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android47register_android_animation_PropertyValuesHolderEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android47register_android_view_TunnelModeEnabledListenerEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android47register_com_android_internal_content_F2fsUtilsEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android49android_hardware_display_DisplayViewport_toNativeEP7_JNIEnvP8_jobjectPNS_15DisplayViewportE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android49android_view_SurfaceControl_getJavaSurfaceControlEP7_JNIEnvRKNS_14SurfaceControlE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android49register_android_hardware_display_DisplayViewportEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android49register_android_view_CompositionSamplingListenerEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android50com_android_internal_os_ZygoteCommandBuffer_insertEP7_JNIEnvP7_jclasslP8_jstring);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android50register_android_os_incremental_IncrementalManagerEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android50register_com_android_internal_security_VerityUtilsEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android51android_os_storage_StorageManager_setQuotaProjectIdEP7_JNIEnvP8_jobjectP8_jstringl);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android51android_view_SurfaceControl_getNativeSurfaceControlEP7_JNIEnvP8_jobject);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android51register_android_tracing_PerfettoDataSourceInstanceEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android51register_com_android_internal_os_ClassLoaderFactoryEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android52android_hardware_HardwareBuffer_convertToPixelFormatEj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android52register_com_android_internal_os_ZygoteCommandBufferEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android52register_com_android_internal_util_VirtualRefBasePtrEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android53android_view_Surface_createFromIGraphicBufferProducerEP7_JNIEnvRKNS_2spINS_22IGraphicBufferProducerEEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android53register_com_android_internal_os_KernelCpuBpfTrackingEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android54android_graphics_GraphicBuffer_getNativeGraphicsBufferEP7_JNIEnvP8_jobject);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android54android_hardware_HardwareBuffer_convertFromPixelFormatEj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android54android_hardware_OverlayProperties_convertToJavaObjectEP7_JNIEnvPNS_3gui17OverlayPropertiesE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android54register_com_android_internal_content_om_OverlayConfigEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android54register_com_android_internal_net_NetworkUtilsInternalEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android54register_com_android_internal_os_KernelAllocationStatsEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android54register_com_android_internal_os_LongMultiStateCounterEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android55android_hardware_HardwareBuffer_getNativeHardwareBufferEP7_JNIEnvP8_jobject);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android56android_graphics_GraphicBuffer_createFromAHardwareBufferEP7_JNIEnvP15AHardwareBuffer);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android56register_android_view_SurfaceControlHdrLayerInfoListenerEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android57android_hardware_HardwareBuffer_convertToGrallocUsageBitsEm);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android57android_hardware_HardwareBuffer_createFromAHardwareBufferEP7_JNIEnvP15AHardwareBuffer);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android57com_android_internal_os_ZygoteCommandBuffer_nativeNextArgEP7_JNIEnvP7_jclassl);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android57register_com_android_internal_content_NativeLibraryHelperEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android57register_com_android_internal_os_KernelCpuUidBpfMapReaderEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android58com_android_internal_os_ZygoteCommandBuffer_nativeGetCountEP7_JNIEnvP7_jclassl);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android58register_com_android_internal_os_KernelSingleUidTimeReaderEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android59android_view_SurfaceTransaction_getNativeSurfaceTransactionEP7_JNIEnvP8_jobject);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android59android_window_InputTransferToken_getJavaInputTransferTokenEP7_JNIEnvRKNS_18InputTransferTokenE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android59com_android_internal_os_ZygoteCommandBuffer_getNativeBufferEP7_JNIEnvP7_jclassi);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android59register_com_android_internal_content_om_OverlayManagerImplEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android59register_com_android_internal_os_KernelCpuTotalBpfMapReaderEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android59register_com_android_internal_os_LongArrayMultiStateCounterEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android5vintf18KernelConfigParser16processAndFinishEPKcm);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android5vintf18KernelConfigParser16processAndFinishERKNSt3__112basic_stringIcNS2_11char_traitsIcEENS2_9allocatorIcEEEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android5vintf18KernelConfigParser16processRemainingEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android5vintf18KernelConfigParser6finishEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android5vintf18KernelConfigParser7configsEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android5vintf18KernelConfigParser7processEPKcm);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android5vintf18KernelConfigParserC2Ebb);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android5vintf18trimTrailingSpacesERKNSt3__112basic_stringIcNS1_11char_traitsIcEENS1_9allocatorIcEEEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android60android_view_InputApplicationHandle_fromInputApplicationInfoEP7_JNIEnvNS_3gui20InputApplicationInfoE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android60com_android_internal_os_ZygoteCommandBuffer_freeNativeBufferEP7_JNIEnvP7_jclassl);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android60register_com_android_internal_os_ZygoteInit_nativeZygoteInitEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android61android_window_InputTransferToken_getNativeInputTransferTokenEP7_JNIEnvP8_jobject);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android64com_android_internal_os_ZygoteCommandBuffer_nativeForkRepeatedlyEP7_JNIEnvP7_jclassliiiP8_jstring);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android67android_hardware_display_DisplayManagerGlobal_signalNativeCallbacksEP7_JNIEnvP8_jobjectf);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android67com_android_internal_os_ZygoteCommandBuffer_nativeReadFullyAndResetEP7_JNIEnvP7_jclassl);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android67register_com_android_internal_os_KernelSingleProcessCpuThreadReaderEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android6zygote10ForkCommonEP7_JNIEnvbRKNSt3__16vectorIiNS3_9allocatorIiEEEES9_bb);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android6zygote13ZygoteFailureEP7_JNIEnvPKcP8_jstringRKNSt3__112basic_stringIcNS7_11char_traitsIcEENS7_9allocatorIcEEEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android6zygote7forkAppEP7_JNIEnviiRKNSt3__16vectorIiNS3_9allocatorIiEEEEbbb);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android7JHwBlob16GetNativeContextEP7_JNIEnvP8_jobject);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android7JHwBlob16SetNativeContextEP7_JNIEnvP8_jobjectRKNS_2spIS0_EE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android7JHwBlob16specializeBlobToENS0_8BlobTypeE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android7JHwBlob4dataEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android7JHwBlob5setToEPKvm);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android7JHwBlob5writeEmPKvm);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android7JHwBlob7putBlobEmRKNS_2spIS0_EE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android7JHwBlob9InitClassEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android7JHwBlob9NewObjectEP7_JNIEnvPKvm);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android7JHwBlob9NewObjectEP7_JNIEnvm);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android7JHwBlobC2EP7_JNIEnvP8_jobjectm);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android7JHwBlobD0Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android7JHwBlobD2Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android8hardware7display27IDeviceProductInfoConstants11asInterfaceERKNS_2spINS_7IBinderEEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android8hardware7display27IDeviceProductInfoConstants14getDefaultImplEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android8hardware7display27IDeviceProductInfoConstants14setDefaultImplENS_2spIS2_EE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android8hardware7display27IDeviceProductInfoConstantsC2Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android8hardware7display27IDeviceProductInfoConstantsD0Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android8hardware7display27IDeviceProductInfoConstantsD1Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android8hardware7display27IDeviceProductInfoConstantsD2Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android8hardware7display28BnDeviceProductInfoConstants10onTransactEjRKNS_6ParcelEPS3_j);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android8hardware7display28BnDeviceProductInfoConstantsC1Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android8hardware7display28BnDeviceProductInfoConstantsC2Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android8hardware7display28BpDeviceProductInfoConstantsC1ERKNS_2spINS_7IBinderEEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android8hardware7display28BpDeviceProductInfoConstantsC2ERKNS_2spINS_7IBinderEEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android9JHwBinder10onTransactEjRKNS_8hardware6ParcelEPS2_jNSt3__18functionIFvRS2_EEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android9JHwBinder15GetNativeBinderEP7_JNIEnvP8_jobject);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android9JHwBinder16SetNativeContextEP7_JNIEnvP8_jobjectRKNS_2spINS_15JHwBinderHolderEEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android9JHwBinder9InitClassEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android9JHwBinderC1EP7_JNIEnvP8_jobject);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android9JHwBinderC2EP7_JNIEnvP8_jobject);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android9JHwBinderD0Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android9JHwBinderD1Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android9JHwBinderD2Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android9JHwParcel10getStorageEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android9JHwParcel16GetNativeContextEP7_JNIEnvP8_jobject);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android9JHwParcel16SetNativeContextEP7_JNIEnvP8_jobjectRKNS_2spIS0_EE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android9JHwParcel19setTransactCallbackENSt3__18functionIFvRNS_8hardware6ParcelEEEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android9JHwParcel4sendEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android9JHwParcel9InitClassEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android9JHwParcel9NewObjectEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android9JHwParcel9getParcelEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android9JHwParcel9setParcelEPNS_8hardware6ParcelEb);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android9JHwParcelC2EP7_JNIEnvP8_jobject);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android9JHwParcelD0Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android9JHwParcelD2Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android9JNICommon11objFromRectEP7_JNIEnvNS_4RectE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android9JNICommon11objFromSizeEP7_JNIEnvNS_2ui4SizeE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android9JNICommon11rectFromObjEP7_JNIEnvP8_jobject);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN8SkRegion10Cliperator4nextEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN8SkRegion10CliperatorC2ERKS_RK7SkIRect);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN8SkRegion10Spanerator4nextEPiS1_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN8SkRegion10SpaneratorC2ERKS_iii);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN8SkRegion12RunsAreARectEPKiiP7SkIRect);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN8SkRegion12allocateRunsERKNS_7RunHeadE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN8SkRegion12allocateRunsEi);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN8SkRegion12allocateRunsEiii);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN8SkRegion13BuildRectRunsERK7SkIRectPi);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN8SkRegion14readFromMemoryEPKvm);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN8SkRegion2opERK7SkIRectRKS_NS_2OpE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN8SkRegion2opERKS_RK7SkIRectNS_2OpE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN8SkRegion2opERKS_S1_NS_2OpE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN8SkRegion4OperERKS_S1_NS_2OpEPS_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN8SkRegion4swapERS_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN8SkRegion7setRectERK7SkIRect);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN8SkRegion7setRunsEPii);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN8SkRegion8Iterator4nextEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN8SkRegion8Iterator5resetERKS_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN8SkRegion8Iterator6rewindEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN8SkRegion8IteratorC2ERKS_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN8SkRegion8freeRunsEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN8SkRegion8setEmptyEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN8SkRegion8setRectsEPK7SkIRecti);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN8SkRegion8toStringEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN8SkRegion9setRegionERKS_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN8SkRegionC2ERK7SkIRect);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN8SkRegionC2ERKS_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN8SkRegionC2Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN8SkRegionD2Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN8SkRegionaSERKS_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN8SkString11printVAListEPKcSt9__va_list);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN8SkString12appendVAListEPKcSt9__va_list);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN8SkString12insertScalarEmf);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN8SkString13insertUnicharEmi);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN8SkString13prependVAListEPKcSt9__va_list);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN8SkString3Rec4MakeEPKcm);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN8SkString3setEPKc);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN8SkString3setEPKcm);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN8SkString4dataEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN8SkString4swapERS_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN8SkString5resetEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN8SkString6insertEmPKc);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN8SkString6insertEmPKcm);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN8SkString6printfEPKcz);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN8SkString6removeEmm);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN8SkString6resizeEm);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN8SkString7appendfEPKcz);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN8SkString8prependfEPKcz);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN8SkString9insertHexEmji);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN8SkString9insertS32Emi);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN8SkString9insertS64Emli);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN8SkString9insertU32Emj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN8SkString9insertU64Emmi);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN8SkStringC2ENSt3__117basic_string_viewIcNS0_11char_traitsIcEEEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN8SkStringC2EOS_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN8SkStringC2EPKc);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN8SkStringC2EPKcm);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN8SkStringC2ERKNSt3__112basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN8SkStringC2ERKS_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN8SkStringC2Em);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN8SkStringC2Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN8SkStringD2Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN8SkStringaSEOS_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN8SkStringaSEPKc);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN8SkStringaSERKS_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN8ZipEntry18CopyFromZipEntry64EPS_PK10ZipEntry64);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN9Transform25forCropFollowedByRotationEiiiii);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN9TransformC2Eiiii);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK11zip_archive6Reader10IsZeroCopyEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK11zip_archive6Reader14AccessAtOffsetEPhml);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK13MappedZipFile10GetBasePtrEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK13MappedZipFile12ReadAtOffsetEPhml);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK13MappedZipFile13GetFileLengthEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK13MappedZipFile13GetFileOffsetEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK13MappedZipFile17GetFileDescriptorEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK13NativeContext10getGpsDataEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK13NativeContext10hasGpsDataEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK13NativeContext12getThumbnailEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK13NativeContext12hasThumbnailEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK13NativeContext14getCaptureTimeEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK13NativeContext14getDescriptionEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK13NativeContext14getOrientationEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK13NativeContext14hasCaptureTimeEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK13NativeContext14hasDescriptionEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK13NativeContext17getThumbnailWidthEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK13NativeContext18getCharacteristicsEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK13NativeContext18getThumbnailHeightEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK13NativeContext9getResultEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK14ZipEntryCommon19GetModificationTimeEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK15CdEntryMapZip6416GetCdEntryOffsetENSt3__117basic_string_viewIcNS0_11char_traitsIcEEEEPKh);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK16InputStripSource6getIfdEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK16JNICameraContext33isRawImageCallbackBufferAvailableEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK17DirectStripSource6getIfdEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK18FileDescriptorInfo12DetachSocketERKNSt3__18functionIFvNS0_12basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEEEEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK18FileDescriptorInfo14ReopenOrDetachERKNSt3__18functionIFvNS0_12basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEEEEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK18FileDescriptorInfo16RefersToSameFileEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK20SkContainerAllocator15roundUpCapacityEl);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK20SkContainerAllocator20growthFactorCapacityEid);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK23FileDescriptorAllowlist9IsAllowedERKNSt3__112basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK6SkRect4dumpEb);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK6SkRect6toQuadEP7SkPoint);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android15JHwRemoteBinder21getDeathRecipientListEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android15JHwRemoteBinder9getBinderEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android3gui10WindowInfo13writeToParcelEPNS_6ParcelE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android3gui10WindowInfo16interceptsStylusEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android3gui10WindowInfo18supportsSplitTouchEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android3gui10WindowInfo5isSpyEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android3gui10WindowInfo8overlapsEPKS1_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android3gui10WindowInfoeqERKS1_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android3gui11DisplayInfo13writeToParcelEPNS_6ParcelE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android3gui11DisplayInfo4dumpERNSt3__112basic_stringIcNS2_11char_traitsIcEENS2_9allocatorIcEEEEPKc);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android3gui12FocusRequest13writeToParcelEPNS_6ParcelE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android3gui16WindowInfoHandle13writeToParcelEPNS_6ParcelE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android3gui16WindowInfoHandle8getTokenEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android3gui20InputApplicationInfo13writeToParcelEPNS_6ParcelE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android3gui22StalledTransactionInfo13writeToParcelEPNS_6ParcelE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android3gui28IWindowInfosReportedListener22getInterfaceDescriptorEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android5vintf18KernelConfigParser5errorEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android5vintf18KernelConfigParser7configsEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android7JHwBlob13writeToParcelEPNS_8hardware6ParcelE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android7JHwBlob21writeEmbeddedToParcelEPNS_8hardware6ParcelEmm);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android7JHwBlob21writeSubBlobsToParcelEPNS_8hardware6ParcelEm);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android7JHwBlob4dataEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android7JHwBlob4readEmPvm);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android7JHwBlob4sizeEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android7JHwBlob4typeEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android7JHwBlob9getHandleEPm);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android7JHwBlob9getStringEmPPKNS_8hardware11hidl_stringE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android7battery17MultiStateCounterIlE13valueToStringERKl);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android7battery17MultiStateCounterIlE3addEPlRKlmm);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android7battery17MultiStateCounterIlE5deltaERKlS4_Pl);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android8hardware7display27IDeviceProductInfoConstants22getInterfaceDescriptorEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android9JHwParcel7wasSentEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK8SkRegion10intersectsERK7SkIRect);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK8SkRegion10intersectsERKS_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK8SkRegion13writeToMemoryEPv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK8SkRegion20count_runtype_valuesEPiS0_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK8SkRegion23computeRegionComplexityEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK8SkRegion7getRunsEPiS0_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK8SkRegion7isValidEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK8SkRegion8containsERK7SkIRect);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK8SkRegion8containsERKS_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK8SkRegion8containsEii);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK8SkRegion9translateEiiPS_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK8SkRegioneqERKS_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK8SkString3Rec3refEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK8SkString3Rec5unrefEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK8SkString3Rec6uniqueEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK8SkString6equalsEPKc);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK8SkString6equalsEPKcm);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK8SkString6equalsERKS_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK9Transform3mapEiiPiS0_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK9TransformeqERKS_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNKSt3__115basic_stringbufIcNS_11char_traitsIcEENS_9allocatorIcEEE3strEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__115basic_stringbufIcNS_11char_traitsIcEENS_9allocatorIcEEE7seekoffExNS_8ios_base7seekdirEj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__115basic_stringbufIcNS_11char_traitsIcEENS_9allocatorIcEEE8overflowEi);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__115basic_stringbufIcNS_11char_traitsIcEENS_9allocatorIcEEE9pbackfailEi);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__115basic_stringbufIcNS_11char_traitsIcEENS_9allocatorIcEEE9underflowEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__117__call_once_proxyINS_5tupleIJRFvvEEEEEEvPv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__124__put_character_sequenceIcNS_11char_traitsIcEEEERNS_13basic_ostreamIT_T0_EES7_PKS4_m);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__127__tree_balance_after_insertIPNS_16__tree_node_baseIPvEEEEvT_S5_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__16vectorIiNS_9allocatorIiEEE21__push_back_slow_pathIiEEvOT_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__16vectorIjNS_9allocatorIjEEE21__push_back_slow_pathIjEEvOT_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__16vectorIlNS_9allocatorIlEEE21__push_back_slow_pathIlEEvOT_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__16vectorImNS_9allocatorImEEE21__push_back_slow_pathImEEvOT_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZThn16_N7android18NativeMessageQueue11handleEventEiiPv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZThn16_N7android18NativeMessageQueueD0Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZThn16_N7android18NativeMessageQueueD1Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZThn8_N7android21JNIAudioTrackCallbackD0Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZThn8_N7android21JNIAudioTrackCallbackD1Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZThn8_N7android3gui29BnWindowInfosReportedListener10onTransactEjRKNS_6ParcelEPS2_j);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZThn8_N7android8hardware7display28BnDeviceProductInfoConstants10onTransactEjRKNS_6ParcelEPS3_j);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZTv0_n24_N20JNIAudioPortCallbackD0Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZTv0_n24_N20JNIAudioPortCallbackD1Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZTv0_n24_N7android10InputQueueD0Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZTv0_n24_N7android10InputQueueD1Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZTv0_n24_N7android12MessageQueueD0Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZTv0_n24_N7android12MessageQueueD1Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZTv0_n24_N7android17JNIDeviceCallbackD0Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZTv0_n24_N7android17JNIDeviceCallbackD1Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZTv0_n24_N7android18NativeMessageQueue18WeakLooperCallbackD0Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZTv0_n24_N7android18NativeMessageQueue18WeakLooperCallbackD1Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZTv0_n24_N7android18NativeMessageQueueD0Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZTv0_n24_N7android18NativeMessageQueueD1Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZTv0_n24_N7android18PerfettoDataSourceD0Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZTv0_n24_N7android18PerfettoDataSourceD1Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZTv0_n24_N7android21JNIAudioTrackCallbackD0Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZTv0_n24_N7android21JNIAudioTrackCallbackD1Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZTv0_n24_N7android22NativeInputEventSenderD0Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZTv0_n24_N7android22NativeInputEventSenderD1Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZTv0_n24_N7android24NativeInputEventReceiverD0Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZTv0_n24_N7android24NativeInputEventReceiverD1Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZTv0_n24_N7android26NativeDisplayEventReceiverD0Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZTv0_n24_N7android26NativeDisplayEventReceiverD1Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZTv0_n24_N7android27JNIAudioVolumeGroupCallbackD0Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZTv0_n24_N7android27JNIAudioVolumeGroupCallbackD1Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZTv0_n24_N7android3gui28IWindowInfosReportedListenerD0Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZTv0_n24_N7android3gui28IWindowInfosReportedListenerD1Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZTv0_n24_N7android8hardware7display27IDeviceProductInfoConstantsD0Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZTv0_n24_N7android8hardware7display27IDeviceProductInfoConstantsD1Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZTv0_n24_N7android9JHwBinderD0Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZTv0_n24_N7android9JHwBinderD1Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(async_safe_fatal_no_abort);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(async_safe_fatal_va_list);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(async_safe_format_buffer);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(async_safe_format_buffer_va_list);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(async_safe_format_fd);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(async_safe_format_fd_va_list);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(async_safe_format_log);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(async_safe_format_log_va_list);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(async_safe_write_log);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(crypto_scrypt);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(jniGetNioBufferBaseArray);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(jniGetNioBufferBaseArrayOffset);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(jniGetNioBufferFields);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(jniGetNioBufferPointer);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(jniUninitializeConstants);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(registerFrameworkNatives);

static void __attribute__((constructor(0))) init_stub_library() {
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", AFileDescriptor_create);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", AFileDescriptor_getFd);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", AFileDescriptor_setFd);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", AStatsEvent_addBoolAnnotation);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", AStatsEvent_addInt32Annotation);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", AStatsEvent_build);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", AStatsEvent_obtain);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", AStatsEvent_release);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", AStatsEvent_setAtomId);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", AStatsEvent_write);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", AStatsEvent_writeAttributionChain);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", AStatsEvent_writeBool);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", AStatsEvent_writeByteArray);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", AStatsEvent_writeFloat);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", AStatsEvent_writeInt32);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", AStatsEvent_writeInt64);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", AStatsEvent_writeString);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", AStatsEvent_writeStringArray);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", AStatsSocket_close);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", AndroidRuntimeGetJavaVM);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", JNI_CreateJavaVM);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", JNI_GetCreatedJavaVMs);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", JNI_GetDefaultJavaVMInitArgs);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", JniInvocationCreate);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", JniInvocationDestroy);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", JniInvocationGetLibrary);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", JniInvocationInit);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", PreventLibnativehelperLazyLoadingForTests);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", PreventLibstatssocketLazyLoadingForTests);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z10GetOpenFdsRKNSt3__18functionIFvNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEEEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z11OpenArchivePKcPP10ZipArchive);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z12CloseArchiveP10ZipArchive);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z12EndIterationPv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z13OpenArchiveFdiPKcPP10ZipArchiveb);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z14GetArchiveInfoP10ZipArchive);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z14SkStringPrintfPKcz);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z14StartIterationP10ZipArchivePPvNSt3__117basic_string_viewIcNS3_11char_traitsIcEEEES7_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z14StartIterationP10ZipArchivePPvNSt3__18functionIFbNS3_17basic_string_viewIcNS3_11char_traitsIcEEEEEEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z14sk_malloc_sizePvm);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z15ErrorCodeStringi);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z15ExtractToMemoryP10ZipArchivePK10ZipEntry64Phm);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z15ExtractToMemoryP10ZipArchivePK8ZipEntryPhm);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z15sk_malloc_flagsmj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z16sk_out_of_memoryv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z16sk_realloc_throwPvm);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z17GetFileDescriptorP10ZipArchive);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z17get_native_cameraP7_JNIEnvP8_jobjectPP16JNICameraContext);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z17sk_abort_no_printv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z18ExtractEntryToFileP10ZipArchivePK10ZipEntry64i);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z18ExtractEntryToFileP10ZipArchivePK8ZipEntryi);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z18OpenArchiveFdRangeiPKcPP10ZipArchivellb);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z19_set_seccomp_filter10FilterType);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z21OpenArchiveFromMemoryPKvmPKcPP10ZipArchive);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z22get_device_from_objectP7_JNIEnvP8_jobject);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z22set_app_seccomp_filterv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z23GetFileDescriptorOffsetP10ZipArchive);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z23get_request_from_objectP7_JNIEnvP8_jobject);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z25_install_setuidgid_filterjj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z25android_os_Process_setGidP7_JNIEnvP8_jobjecti);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z25android_os_Process_setUidP7_JNIEnvP8_jobjecti);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z25set_system_seccomp_filterv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z26android_os_Process_getPidsP7_JNIEnvP8_jobjectP8_jstringP10_jintArray);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z26get_exclusive_cpuset_cores11SchedPolicyP9cpu_set_t);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z26register_android_os_BinderP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z27android_os_Process_setArgV0P7_JNIEnvP8_jobjectP8_jstring);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z27register_android_media_midiP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z27register_android_os_ProcessP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z29android_os_Process_sendSignalP7_JNIEnvP8_jobjectii);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z29set_app_zygote_seccomp_filterv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z31android_os_Process_readProcFileP7_JNIEnvP8_jobjectP8_jstringP10_jintArrayP13_jobjectArrayP11_jlongArrayP12_jfloatArray);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z32android_os_Process_getGidForNameP7_JNIEnvP8_jobjectP8_jstring);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z32android_os_Process_getUidForNameP7_JNIEnvP8_jobjectP8_jstring);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z32android_os_Process_parseProcLineP7_JNIEnvP8_jobjectP11_jbyteArrayiiP10_jintArrayP13_jobjectArrayP11_jlongArrayP12_jfloatArray);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z32android_os_Process_readProcLinesP7_JNIEnvP8_jobjectP8_jstringP13_jobjectArrayP11_jlongArray);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z32android_os_Process_setSwappinessP7_JNIEnvP8_jobjectih);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z32install_setuidgid_seccomp_filterjj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z32register_android_hardware_CameraP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z33android_os_Process_setThreadGroupP7_JNIEnvP8_jobjectii);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z33register_android_media_AudioTrackP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z33register_android_opengl_jni_EGL14P7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z33register_android_opengl_jni_EGL15P7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z34JHwBinder_native_joinRpcThreadpoolv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z34android_os_Process_freezeCgroupUIDP7_JNIEnvP8_jobjectih);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z34android_os_Process_getProcessGroupP7_JNIEnvP8_jobjecti);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z34android_os_Process_sendSignalQuietP7_JNIEnvP8_jobjectii);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z34android_os_Process_setProcessGroupP7_JNIEnvP8_jobjectii);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z34javaAudioFormatToNativeAudioConfigP7_JNIEnvP12audio_configP8_jobjectb);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z34nativeAudioConfigToJavaAudioFormatP7_JNIEnvPK12audio_configPP8_jobjectb);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z34register_android_media_AudioRecordP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z34register_android_media_AudioSystemP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z34register_android_opengl_jni_EGLExtP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z34register_android_opengl_jni_GLES10P7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z34register_android_opengl_jni_GLES11P7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z34register_android_opengl_jni_GLES20P7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z34register_android_opengl_jni_GLES30P7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z34register_android_opengl_jni_GLES31P7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z34register_android_opengl_jni_GLES32P7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z35android_os_Process_killProcessGroupP7_JNIEnvP8_jobjectii);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z35android_os_Process_sendSignalThrowsP7_JNIEnvP8_jobjectii);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z35android_os_Process_setProcessFrozenP7_JNIEnvP8_jobjectiih);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z35convertAudioMixerAttributesToNativeP7_JNIEnvP8_jobjectP22audio_mixer_attributes);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z35register_android_hardware_SyncFenceP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z35register_android_hardware_UsbDeviceP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z36android_os_Binder_getNativeFinalizerP7_JNIEnvP7_jclass);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z36android_os_Process_getExclusiveCoresP7_JNIEnvP8_jobject);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z36android_os_Process_getThreadPriorityP7_JNIEnvP8_jobjecti);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z36android_os_Process_setThreadPriorityP7_JNIEnvP8_jobjectii);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z36register_android_hardware_SerialPortP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z36register_android_hardware_UsbRequestP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z36register_android_media_ToneGeneratorP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z36sk_report_container_overflow_and_diev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z37android_media_getIntConstantFromClassP7_JNIEnvP7_jclassPKcS4_Pi);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z37android_os_Process_createProcessGroupP7_JNIEnvP8_jobjectii);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z37android_os_Process_getPidsForCommandsP7_JNIEnvP8_jobjectP13_jobjectArray);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z37android_os_Process_getThreadSchedulerP7_JNIEnvP7_jclassi);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z37android_os_Process_parseProcLineArrayP7_JNIEnvP8_jobjectPciiP10_jintArrayP13_jobjectArrayP11_jlongArrayP12_jfloatArray);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z37android_os_Process_sendTgSignalThrowsP7_JNIEnvP8_jobjectiii);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z37android_os_Process_setThreadSchedulerP7_JNIEnvP7_jclassiii);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z37convertAudioMixerAttributesFromNativeP7_JNIEnvPK22audio_mixer_attributes);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z37register_android_media_MicrophoneInfoP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z37register_android_opengl_jni_GLES10ExtP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z37register_android_opengl_jni_GLES11ExtP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z37register_android_opengl_jni_GLES31ExtP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z38android_media_AudioTrack_getAudioTrackP7_JNIEnvP8_jobject);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z38javaAudioFormatToNativeAudioConfigBaseP7_JNIEnvP8_jobjectP17audio_config_baseb);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z38nativeAudioConfigBaseToJavaAudioFormatP7_JNIEnvPK17audio_config_baseb);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z38register_android_media_AudioAttributesP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z39JHwBinder_native_configureRpcThreadpoolP7_JNIEnvP7_jclasslh);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z39android_os_Process_setApplicationObjectP7_JNIEnvP8_jobjectS2_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z39register_android_graphics_GraphicBufferP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z39register_android_hardware_SensorManagerP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z40register_android_hardware_HardwareBufferP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z40register_android_media_AudioVolumeGroupsP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z41JHwBinder_native_setTrebleTestingOverrideP7_JNIEnvP7_jclassh);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z41android_os_BinderProxy_getNativeFinalizerP7_JNIEnvP7_jclass);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z41android_os_Process_removeAllProcessGroupsP7_JNIEnvP8_jobject);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z42android_os_Process_setThreadGroupAndCpusetP7_JNIEnvP8_jobjectii);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z43android_os_Process_sendSignalToProcessGroupP7_JNIEnvP8_jobjectiii);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z43android_os_Process_setCallingThreadPriorityP7_JNIEnvP8_jobjecti);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z43register_android_hardware_OverlayPropertiesP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z43register_com_google_android_gles_jni_GLImplP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z44register_android_hardware_camera2_DngCreatorP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z44register_android_media_AudioDeviceAttributesP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z44register_android_media_AudioEffectDescriptorP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z44register_com_google_android_gles_jni_EGLImplP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z45register_android_hardware_UsbDeviceConnectionP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z45register_android_media_AudioProductStrategiesP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z48register_android_hardware_camera2_CameraMetadataP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z4NextPvP10ZipEntry64PNSt3__112basic_stringIcNS2_11char_traitsIcEENS2_9allocatorIcEEEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z4NextPvP10ZipEntry64PNSt3__117basic_string_viewIcNS2_11char_traitsIcEEEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z4NextPvP8ZipEntryPNSt3__112basic_stringIcNS2_11char_traitsIcEENS2_9allocatorIcEEEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z4NextPvP8ZipEntryPNSt3__117basic_string_viewIcNS2_11char_traitsIcEEEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z50register_android_media_audio_common_AidlConversionP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z52register_android_hardware_camera2_utils_SurfaceUtilsP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z52register_android_media_AudioVolumeGroupChangeHandlerP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z54register_android_hardware_display_DisplayManagerGlobalP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z62register_android_hardware_location_ActivityRecognitionHardwareP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z67register_android_hardware_camera2_impl_CameraExtensionJpegProcessorP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z7sk_freePv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z8SkDebugfPKcz);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z8compressiiPhiiS_iiS_iiS_miiiiii);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z8compressiiR11RowIteratorILj16EERS_ILj8EES3_PhmNSt3__18functionIFvmEEEi);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z9FindEntryP10ZipArchiveNSt3__117basic_string_viewIcNS1_11char_traitsIcEEEEP10ZipEntry64);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z9FindEntryP10ZipArchiveNSt3__117basic_string_viewIcNS1_11char_traitsIcEEEEP8ZipEntry);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN10ZipArchive26InitializeCentralDirectoryElm);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN10ZipArchiveC2EO13MappedZipFileb);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN10ZipArchiveC2EPKvm);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN10ZipArchiveD2Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN11zip_archive6Writer9GetBufferEm);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN11zip_archive7InflateERKNS_6ReaderEmmPNS_6WriterEPm);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN13MappedZipFileC2Eill);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN13NativeContext10setGpsDataERK7GpsData);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN13NativeContext12setThumbnailEPKhjj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN13NativeContext14setCaptureTimeERKN7android7String8E);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN13NativeContext14setDescriptionERKN7android7String8E);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN13NativeContext14setOrientationEt);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN13NativeContext9getWriterEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN13NativeContextC2ERKN7android14CameraMetadataES3_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN13NativeContextD0Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN13NativeContextD2Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN14JniInputStream4openEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN14JniInputStream4readEPhmm);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN14JniInputStream4skipEm);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN14JniInputStream5closeEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN14JniInputStreamC2EP7_JNIEnvP8_jobject);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN14JniInputStreamD0Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN14JniInputStreamD2Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN15CdEntryMapZip6414ResetIterationEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN15CdEntryMapZip644NextEPKh);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN15CdEntryMapZip648AddToMapENSt3__117basic_string_viewIcNS0_11char_traitsIcEEEEPKh);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN15JniOutputStream4openEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN15JniOutputStream5closeEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN15JniOutputStream5writeEPKhmm);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN15JniOutputStreamC2EP7_JNIEnvP8_jobject);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN15JniOutputStreamD0Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN15JniOutputStreamD2Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN16CentralDirectory10InitializeEPKvlm);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN16InputStripSource13writeToStreamERN7android9img_utils6OutputEj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN16InputStripSourceC2EP7_JNIEnvRN7android9img_utils5InputEjjjjjmjj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN16InputStripSourceD0Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN16InputStripSourceD2Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN16JNICameraContext11copyAndPostEP7_JNIEnvRKN7android2spINS2_7IMemoryEEEi);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN16JNICameraContext12postMetadataEP7_JNIEnviP21camera_frame_metadata);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN16JNICameraContext15setCallbackModeEP7_JNIEnvbb);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN16JNICameraContext17addCallbackBufferEP7_JNIEnvP11_jbyteArrayi);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN16JNICameraContext17getCallbackBufferEP7_JNIEnvPN7android6VectorIP11_jbyteArrayEEm);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN16JNICameraContext17postDataTimestampEliRKN7android2spINS0_7IMemoryEEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN16JNICameraContext22clearCallbackBuffers_lEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN16JNICameraContext22clearCallbackBuffers_lEP7_JNIEnvPN7android6VectorIP11_jbyteArrayEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN16JNICameraContext33postRecordingFrameHandleTimestampElP13native_handle);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN16JNICameraContext38postRecordingFrameHandleTimestampBatchERKNSt3__16vectorIlNS0_9allocatorIlEEEERKNS1_IP13native_handleNS2_IS8_EEEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN16JNICameraContext6notifyEiii);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN16JNICameraContext7releaseEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN16JNICameraContext8postDataEiRKN7android2spINS0_7IMemoryEEEP21camera_frame_metadata);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN16JNICameraContextC1EP7_JNIEnvP8_jobjectP7_jclassRKN7android2spINS6_6CameraEEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN16JNICameraContextC2EP7_JNIEnvP8_jobjectP7_jclassRKN7android2spINS6_6CameraEEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN17DirectStripSource13writeToStreamERN7android9img_utils6OutputEj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN17DirectStripSourceC2EP7_JNIEnvPKhjjjjjmjj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN17DirectStripSourceD0Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN17DirectStripSourceD2Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN18DeathRecipientList3addERKN7android2spI18JavaDeathRecipientEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN18DeathRecipientList4findEP8_jobject);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN18DeathRecipientList4lockEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN18DeathRecipientList6removeERKN7android2spI18JavaDeathRecipientEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN18DeathRecipientListC2Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN18DeathRecipientListD0Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN18DeathRecipientListD2Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN18FileDescriptorInfo12CreateFromFdEiRKNSt3__18functionIFvNS0_12basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEEEEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN18FileDescriptorInfo13GetSocketNameEiPNSt3__112basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN18FileDescriptorInfoC2E4statRKNSt3__112basic_stringIcNS1_11char_traitsIcEENS1_9allocatorIcEEEEiiiil);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN18FileDescriptorInfoC2Ei);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN18JniInputByteBuffer4openEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN18JniInputByteBuffer4readEPhmm);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN18JniInputByteBuffer5closeEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN18JniInputByteBufferC2EP7_JNIEnvP8_jobject);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN18JniInputByteBufferD0Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN18JniInputByteBufferD2Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN19CdEntryMapInterface6CreateEmmt);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN19FileDescriptorTable14ReopenOrDetachERKNSt3__18functionIFvNS0_12basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEEEEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN19FileDescriptorTable14RestatInternalERNSt3__13setIiNS0_4lessIiEENS0_9allocatorIiEEEERKNS0_8functionIFvNS0_12basic_stringIcNS0_11char_traitsIcEENS4_IcEEEEEEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN19FileDescriptorTable6CreateERKNSt3__16vectorIiNS0_9allocatorIiEEEERKNS0_8functionIFvNS0_12basic_stringIcNS0_11char_traitsIcEENS2_IcEEEEEEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN19FileDescriptorTable6RestatERKNSt3__16vectorIiNS0_9allocatorIiEEEERKNS0_8functionIFvNS0_12basic_stringIcNS0_11char_traitsIcEENS2_IcEEEEEEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN19FileDescriptorTableC2ENSt3__113unordered_mapIiNS0_10unique_ptrI18FileDescriptorInfoNS0_14default_deleteIS3_EEEENS0_4hashIiEENS0_8equal_toIiEENS0_9allocatorINS0_4pairIKiS6_EEEEEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN19FileDescriptorTableD2Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN20JNIAudioPortCallback13onServiceDiedEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN20JNIAudioPortCallback21onAudioPortListUpdateEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN20JNIAudioPortCallback22onAudioPatchListUpdateEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN20JNIAudioPortCallback9sendEventEi);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN20JNIAudioPortCallbackC1EP7_JNIEnvP8_jobjectS3_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN20JNIAudioPortCallbackC2EP7_JNIEnvP8_jobjectS3_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN20JNIAudioPortCallbackD0Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN20JNIAudioPortCallbackD1Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN20JNIAudioPortCallbackD2Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN20SkContainerAllocator8allocateEid);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN23FileDescriptorAllowlist3GetEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN23FileDescriptorAllowlistC2Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN5SkUTF10CountUTF16EPKtm);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN5SkUTF10CountUTF32EPKim);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN5SkUTF11UTF16ToUTF8EPciPKtm);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN5SkUTF11UTF8ToUTF16EPtiPKcm);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN5SkUTF23NextUTF8WithReplacementEPPKcS1_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN5SkUTF6ToUTF8EiPc);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN5SkUTF7ToUTF16EiPt);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN5SkUTF8NextUTF8EPPKcS1_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN5SkUTF9CountUTF8EPKcm);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN5SkUTF9NextUTF16EPPKtS1_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN5SkUTF9NextUTF32EPPKiS1_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN5incfs12ScopedJmpBufD2Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN5incfs13SignalHandler7handlerEiP7siginfoPv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN5incfs13SignalHandler8instanceEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN5incfs13SignalHandlerC2Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN5incfs4util9isIncfsFdEi);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN6SkRect14setBoundsCheckEPK7SkPointi);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN6SkRect16setBoundsNoCheckEPK7SkPointi);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN6SkRect4joinERKS_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN6SkRect9intersectERKS_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN6SkRect9intersectERKS_S1_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7SkIRect4joinERKS_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7SkIRect9intersectERKS_S1_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android10InputQueue11createQueueEP8_jobjectRKNS_2spINS_6LooperEEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android10InputQueue11finishEventEPNS_10InputEventEb);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android10InputQueue12attachLooperEPNS_6LooperEiPFiiiPvES3_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android10InputQueue12detachLooperEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android10InputQueue12enqueueEventEPNS_10InputEventE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android10InputQueue13handleMessageERKNS_7MessageE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android10InputQueue14createKeyEventEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android10InputQueue16preDispatchEventEPNS_10InputEventE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android10InputQueue17createMotionEventEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android10InputQueue17recycleInputEventEPNS_10InputEventE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android10InputQueue18detachLooperLockedEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android10InputQueue8getEventEPPNS_10InputEventE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android10InputQueue9hasEventsEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android10InputQueueC1EP8_jobjectRKNS_2spINS_6LooperEEEii);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android10InputQueueC2EP8_jobjectRKNS_2spINS_6LooperEEEii);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android10InputQueueD0Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android10InputQueueD1Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android10InputQueueD2Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android10dmabufinfo14ReadBufferSizeEjPmRKNSt3__112basic_stringIcNS2_11char_traitsIcEENS2_9allocatorIcEEEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android10dmabufinfo14ReadDmaBufInfoEiPNSt3__16vectorINS0_9DmaBufferENS1_9allocatorIS3_EEEEbRKNS1_12basic_stringIcNS1_11char_traitsIcEENS4_IcEEEESE_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android10dmabufinfo16ReadDmaBufFdRefsEiPNSt3__16vectorINS0_9DmaBufferENS1_9allocatorIS3_EEEERKNS1_12basic_stringIcNS1_11char_traitsIcEENS4_IcEEEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android10dmabufinfo17ReadDmaBufMapRefsEiPNSt3__16vectorINS0_9DmaBufferENS1_9allocatorIS3_EEEERKNS1_12basic_stringIcNS1_11char_traitsIcEENS4_IcEEEESE_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android10dmabufinfo17ReadProcfsDmaBufsEPNSt3__16vectorINS0_9DmaBufferENS1_9allocatorIS3_EEEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android10dmabufinfo18ReadBufferExporterEjPNSt3__112basic_stringIcNS1_11char_traitsIcEENS1_9allocatorIcEEEERKS7_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android10dmabufinfo19GetDmabufSysfsStatsEPNS0_16DmabufSysfsStatsERKNSt3__112basic_stringIcNS3_11char_traitsIcEENS3_9allocatorIcEEEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android10dmabufinfo24GetDmabufTotalExportedKbEPmRKNSt3__112basic_stringIcNS2_11char_traitsIcEENS2_9allocatorIcEEEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android10setFieldSpI20AudioTrackJniStorageEENS_2spIT_EEP7_JNIEnvP8_jobjectRKS4_P9_jfieldID);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android10setFieldSpI21AudioRecordJNIStorageEENS_2spIT_EEP7_JNIEnvP8_jobjectRKS4_P9_jfieldID);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android10setFieldSpINS_10AudioTrackEEENS_2spIT_EEP7_JNIEnvP8_jobjectRKS4_P9_jfieldID);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android10setFieldSpINS_11AudioRecordEEENS_2spIT_EEP7_JNIEnvP8_jobjectRKS4_P9_jfieldID);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android11GetReferentEP7_JNIEnvP8_jobject);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android11JHidlMemory12javaToNativeEP7_JNIEnvP8_jobject);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android11JHidlMemory16getNativeContextEP7_JNIEnvP8_jobject);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android11JHidlMemory6toJavaEP7_JNIEnvRKNS_8hardware11hidl_memoryE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android11JHidlMemory8fromJavaEP7_JNIEnvP8_jobject);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android11JHidlMemoryD2Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android11nativeFlushEP7_JNIEnvP7_jclassP8_jobjectl);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android11nativeTraceEP7_JNIEnvP7_jclasslP8_jobject);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android12MessageQueue22raiseAndClearExceptionEP7_JNIEnvPKc);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android12MessageQueueC2Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android12MessageQueueD0Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android12MessageQueueD1Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android12MessageQueueD2Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android12nativeCreateEP7_JNIEnvP7_jclassP8_jobjectP8_jstring);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android13JNativeHandle19MakeCppNativeHandleEP7_JNIEnvP8_jobjectPNS_16EphemeralStorageE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android13JNativeHandle23MakeJavaNativeHandleObjEP7_JNIEnvPK13native_handle);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android13JNativeHandle29AllocJavaNativeHandleObjArrayEP7_JNIEnvi);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android13kernelconfigs17LoadKernelConfigsEPNSt3__13mapINS1_12basic_stringIcNS1_11char_traitsIcEENS1_9allocatorIcEEEES8_NS1_4lessIS8_EENS6_INS1_4pairIKS8_S8_EEEEEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android13nativeDestroyEPv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android14AndroidRuntime10getRuntimeEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android14AndroidRuntime11onVmCreatedEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android14AndroidRuntime14parseExtraOptsEPcPKc);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android14AndroidRuntime15NewStringLatin1EP7_JNIEnvPKc);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android14AndroidRuntime15javaThreadShellEPv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android14AndroidRuntime16createJavaThreadEPKcPFvPvES3_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android14AndroidRuntime16toSlashClassNameEPKc);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android14AndroidRuntime18parseRuntimeOptionEPKcPcS2_S2_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android14AndroidRuntime19javaCreateThreadEtcEPFiPvES1_PKcimPS1_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android14AndroidRuntime19parseCompilerOptionEPKcPcS2_S2_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android14AndroidRuntime21registerNativeMethodsEP7_JNIEnvPKcPK15JNINativeMethodi);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android14AndroidRuntime26parseCompilerRuntimeOptionEPKcPcS2_S2_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android14AndroidRuntime4exitEi);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android14AndroidRuntime5startEPKcRKNS_6VectorINS_7String8EEEb);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android14AndroidRuntime7startVmEPP7_JavaVMPP7_JNIEnvbb);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android14AndroidRuntime8callMainERKNS_7String8EP7_jclassRKNS_6VectorIS1_EE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android14AndroidRuntime8setArgv0EPKcb);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android14AndroidRuntime8startRegEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android14AndroidRuntime9addOptionEPKcPv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android14AndroidRuntime9getJNIEnvEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android14AndroidRuntime9getJavaVMEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android14AndroidRuntimeC2EPcm);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android14AndroidRuntimeD0Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android14AndroidRuntimeD2Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android14nativeFlushAllEP7_JNIEnvP7_jclassl);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android15JHwRemoteBinder16GetNativeContextEP7_JNIEnvP8_jobject);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android15JHwRemoteBinder16SetNativeContextEP7_JNIEnvP8_jobjectRKNS_2spIS0_EE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android15JHwRemoteBinder9InitClassEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android15JHwRemoteBinder9NewObjectEP7_JNIEnvRKNS_2spINS_8hardware7IBinderEEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android15JHwRemoteBinder9setBinderERKNS_2spINS_8hardware7IBinderEEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android15JHwRemoteBinderC2EP7_JNIEnvP8_jobjectRKNS_2spINS_8hardware7IBinderEEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android15MediaMetricsJNI20writeMetricsToBundleEP7_JNIEnvPNS_12mediametrics4ItemEP8_jobject);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android15MediaMetricsJNI29nativeToJavaPersistableBundleEP7_JNIEnvPNS_2os17PersistableBundleE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android15getBPNativeDataEP7_JNIEnvP8_jobject);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android15nativeCreateTpcEP7_JNIEnvP7_jclassP8_jobject);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android16DeleteScreenshotEPvS0_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android16EphemeralStorage16allocStringArrayEm);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android16EphemeralStorage20allocTemporaryStringEP7_JNIEnvP8_jstring);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android16EphemeralStorage21allocTemporaryStorageEm);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android16EphemeralStorage24allocTemporaryInt8VectorEP7_JNIEnvP11_jbyteArray);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android16EphemeralStorage25allocTemporaryFloatVectorEP7_JNIEnvP12_jfloatArray);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android16EphemeralStorage25allocTemporaryInt16VectorEP7_JNIEnvP12_jshortArray);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android16EphemeralStorage25allocTemporaryInt32VectorEP7_JNIEnvP10_jintArray);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android16EphemeralStorage25allocTemporaryInt64VectorEP7_JNIEnvP11_jlongArray);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android16EphemeralStorage26allocTemporaryDoubleVectorEP7_JNIEnvP13_jdoubleArray);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android16EphemeralStorage26allocTemporaryNativeHandleEii);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android16EphemeralStorage7releaseEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android16EphemeralStorageC2Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android16EphemeralStorageD2Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android16destroyNativeTpcEPv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android17ApkAssetsFromLongEl);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android17JNIDeviceCallback19onAudioDeviceUpdateEii);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android17JNIDeviceCallbackC1EP7_JNIEnvP8_jobjectS4_P10_jmethodID);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android17JNIDeviceCallbackC2EP7_JNIEnvP8_jobjectS4_P10_jmethodID);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android17JNIDeviceCallbackD0Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android17JNIDeviceCallbackD1Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android17JNIDeviceCallbackD2Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android18NativeInputChannel18setDisposeCallbackEPFvP7_JNIEnvP8_jobjectRKNSt3__110shared_ptrINS_12InputChannelEEEPvESB_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android18NativeInputChannel7disposeEP7_JNIEnvP8_jobject);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android18NativeInputChannelC2ENSt3__110unique_ptrINS_12InputChannelENS1_14default_deleteIS3_EEEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android18NativeInputChannelD2Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android18NativeMessageQueue11handleEventEiiPv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android18NativeMessageQueue14raiseExceptionEP7_JNIEnvPKcP11_jthrowable);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android18NativeMessageQueue18WeakLooperCallback11handleEventEiiPv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android18NativeMessageQueue18WeakLooperCallbackC1ERKNS_2wpINS_14LooperCallbackEEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android18NativeMessageQueue18WeakLooperCallbackC2ERKNS_2wpINS_14LooperCallbackEEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android18NativeMessageQueue18WeakLooperCallbackD0Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android18NativeMessageQueue18WeakLooperCallbackD1Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android18NativeMessageQueue18WeakLooperCallbackD2Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android18NativeMessageQueue23setFileDescriptorEventsEii);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android18NativeMessageQueue4wakeEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android18NativeMessageQueue8pollOnceEP7_JNIEnvP8_jobjecti);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android18NativeMessageQueueC1Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android18NativeMessageQueueC2Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android18NativeMessageQueueD0Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android18NativeMessageQueueD1Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android18NativeMessageQueueD2Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android18PerfettoDataSource11newInstanceEP7_JNIEnvPvmj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android18PerfettoDataSource23createTlsStateGlobalRefEP7_JNIEnvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android18PerfettoDataSource31createIncrementalStateGlobalRefEP7_JNIEnvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android18PerfettoDataSource5traceEP7_JNIEnvP8_jobject);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android18PerfettoDataSource8flushAllEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android18PerfettoDataSourceC1EP7_JNIEnvP8_jobjectNSt3__112basic_stringIcNS5_11char_traitsIcEENS5_9allocatorIcEEEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android18PerfettoDataSourceC2EP7_JNIEnvP8_jobjectNSt3__112basic_stringIcNS5_11char_traitsIcEENS5_9allocatorIcEEEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android18PerfettoDataSourceD0Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android18PerfettoDataSourceD1Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android18PerfettoDataSourceD2Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android18createInputChannelERKNS_2spINS_7IBinderEEERKNS_18InputTransferTokenERKNS_14SurfaceControlES7_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android18removeInputChannelERKNS_2spINS_7IBinderEEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android19parcelForJavaObjectEP7_JNIEnvP8_jobject);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android19register_jni_commonEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android20VelocityTrackerState11addMovementERKNS_11MotionEventE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android20VelocityTrackerState11getVelocityEii);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android20VelocityTrackerState22computeCurrentVelocityEif);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android20VelocityTrackerState5clearEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android20VelocityTrackerStateC2ENS_15VelocityTracker8StrategyE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android20ibinderForJavaObjectEP7_JNIEnvP8_jobject);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android20javaObjectForIBinderEP7_JNIEnvRKNS_2spINS_7IBinderEEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android20perfettoProducerInitEP7_JNIEnvP7_jclassi);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android20poly_clip_to_frustumEPNS_4PolyE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android21JNIAudioTrackCallback20onCodecFormatChangedERKNSt3__16vectorIhNS1_9allocatorIhEEEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android21JNIAudioTrackCallbackC1EP7_JNIEnvP8_jobjectS4_P10_jmethodID);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android21JNIAudioTrackCallbackC2EP7_JNIEnvP8_jobjectS4_P10_jmethodID);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android21JNIAudioTrackCallbackD0Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android21JNIAudioTrackCallbackD1Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android21JNIAudioTrackCallbackD2Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android21destroyNativeListenerEPv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android22NativeInputEventSender10initializeEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android22NativeInputEventSender11handleEventEiiPv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android22NativeInputEventSender12sendKeyEventEjPKNS_8KeyEventE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android22NativeInputEventSender15sendMotionEventEjPKNS_11MotionEventE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android22NativeInputEventSender22notifyConsumerResponseEP7_JNIEnvP8_jobjectRKNSt3__17variantIJNS_14InputPublisher8FinishedENS7_8TimelineEEEEb);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android22NativeInputEventSender23processConsumerResponseEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android22NativeInputEventSender7disposeEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android22NativeInputEventSenderC1EP7_JNIEnvP8_jobjectRKNSt3__110shared_ptrINS_12InputChannelEEERKNS_2spINS_12MessageQueueEEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android22NativeInputEventSenderC2EP7_JNIEnvP8_jobjectRKNSt3__110shared_ptrINS_12InputChannelEEERKNS_2spINS_12MessageQueueEEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android22NativeInputEventSenderD0Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android22NativeInputEventSenderD1Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android22NativeInputEventSenderD2Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android22createJavaParcelObjectEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android22poly_clip_to_halfspaceEPNS_4PolyES1_iff);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android22validateCanUseHwBinderERKNS_2spINS_8hardware7IBinderEEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android23JNIAudioAttributeHelper10makeUniqueEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android23JNIAudioAttributeHelper12getJavaArrayEP7_JNIEnvPP13_jobjectArrayi);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android23JNIAudioAttributeHelper12nativeToJavaEP7_JNIEnvPP8_jobjectRK18audio_attributes_t);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android23JNIAudioAttributeHelper14nativeFromJavaEP7_JNIEnvP8_jobjectP18audio_attributes_t);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android23NativeInputWindowHandle10updateInfoEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android23NativeInputWindowHandle31getInputWindowHandleObjLocalRefEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android23NativeInputWindowHandleC2EP8_jobject);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android23NativeInputWindowHandleD0Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android23NativeInputWindowHandleD2Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android23binder_report_exceptionEP7_JNIEnvP11_jthrowablePKc);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android23newParcelFileDescriptorEP7_JNIEnvP8_jobject);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android23recycleJavaParcelObjectEP7_JNIEnvP8_jobject);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android23signalExceptionForErrorEP7_JNIEnvP8_jobjectibi);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android23signalExceptionForErrorEP7_JNIEnvib);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android23throw_sqlite3_exceptionEP7_JNIEnvP7sqlite3);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android23throw_sqlite3_exceptionEP7_JNIEnvP7sqlite3PKc);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android23throw_sqlite3_exceptionEP7_JNIEnvPKc);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android23throw_sqlite3_exceptionEP7_JNIEnviPKcS3_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android24LockAndStartAssetManagerEl);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android24MockCpuTimeInStateReader20getCpuFrequencyCountEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android24MockCpuTimeInStateReader28startAggregatingTaskCpuTimesEit);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android24MockCpuTimeInStateReader28startTrackingProcessCpuTimesEi);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android24MockCpuTimeInStateReader29getAggregatedTaskCpuFreqTimesEiRKNSt3__16vectorItNS1_9allocatorItEEEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android24NativeInputEventReceiver10initializeEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android24NativeInputEventReceiver11handleEventEiiPv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android24NativeInputEventReceiver11setFdEventsEi);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android24NativeInputEventReceiver13consumeEventsEP7_JNIEnvblPb);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android24NativeInputEventReceiver14reportTimelineEill);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android24NativeInputEventReceiver16finishInputEventEjb);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android24NativeInputEventReceiver16probablyHasInputEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android24NativeInputEventReceiver21processOutboundEventsEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android24NativeInputEventReceiver4dumpEPKc);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android24NativeInputEventReceiver7disposeEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android24NativeInputEventReceiverC1EP7_JNIEnvP8_jobjectRKNSt3__110shared_ptrINS_12InputChannelEEERKNS_2spINS_12MessageQueueEEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android24NativeInputEventReceiverC2EP7_JNIEnvP8_jobjectRKNSt3__110shared_ptrINS_12InputChannelEEERKNS_2spINS_12MessageQueueEEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android24NativeInputEventReceiverD0Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android24NativeInputEventReceiverD1Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android24NativeInputEventReceiverD2Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android24nativeRegisterDataSourceEP7_JNIEnvP7_jclassli);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android25AssetManagerForJavaObjectEP7_JNIEnvP8_jobject);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android25register_android_os_DebugEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android25register_android_os_TraceEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android25register_android_util_LogEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android26HwBinderDeathRecipientList3addERKNS_2spINS_22HwBinderDeathRecipientEEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android26HwBinderDeathRecipientList4findEP8_jobject);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android26HwBinderDeathRecipientList4lockEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android26HwBinderDeathRecipientList6removeERKNS_2spINS_22HwBinderDeathRecipientEEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android26HwBinderDeathRecipientListC2Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android26HwBinderDeathRecipientListD0Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android26HwBinderDeathRecipientListD2Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android26NativeDisplayEventReceiver13dispatchVsyncElNS_17PhysicalDisplayIdEjNS_3gui14VsyncEventDataE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android26NativeDisplayEventReceiver15dispatchHotplugElNS_17PhysicalDisplayIdEb);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android26NativeDisplayEventReceiver19dispatchModeChangedElNS_17PhysicalDisplayIdEil);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android26NativeDisplayEventReceiver25dispatchHdcpLevelsChangedENS_17PhysicalDisplayIdEii);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android26NativeDisplayEventReceiver26dispatchFrameRateOverridesElNS_17PhysicalDisplayIdENSt3__16vectorINS_20DisplayEventReceiver5Event17FrameRateOverrideENS2_9allocatorIS6_EEEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android26NativeDisplayEventReceiver30dispatchHotplugConnectionErrorEli);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android26NativeDisplayEventReceiver7disposeEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android26NativeDisplayEventReceiverC1EP7_JNIEnvP8_jobjectS4_RKNS_2spINS_12MessageQueueEEEiil);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android26NativeDisplayEventReceiverC2EP7_JNIEnvP8_jobjectS4_RKNS_2spINS_12MessageQueueEEEiil);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android26NativeDisplayEventReceiverD0Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android26NativeDisplayEventReceiverD1Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android26NativeDisplayEventReceiverD2Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android26PerfettoDataSourceInstance6onStopEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android26PerfettoDataSourceInstance7onFlushEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android26PerfettoDataSourceInstance7onStartEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android26PerfettoDataSourceInstanceC2EP7_JNIEnvP8_jobjectj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android26PerfettoDataSourceInstanceD2Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android26SurfaceTexture_getProducerEP7_JNIEnvP8_jobject);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android26audioEffectDescriptorClassEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android26register_android_os_HwBlobEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android26register_android_os_ParcelEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android27JNIAudioVolumeGroupCallback13onServiceDiedEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android27JNIAudioVolumeGroupCallback25onAudioVolumeGroupChangedENS_14volume_group_tEi);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android27JNIAudioVolumeGroupCallbackC1EP7_JNIEnvP8_jobjectS4_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android27JNIAudioVolumeGroupCallbackC2EP7_JNIEnvP8_jobjectS4_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android27JNIAudioVolumeGroupCallbackD0Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android27JNIAudioVolumeGroupCallbackD1Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android27JNIAudioVolumeGroupCallbackD2Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android27register_android_os_SELinuxEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android28NativeInputApplicationHandle10updateInfoEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android28NativeInputApplicationHandle36getInputApplicationHandleObjLocalRefEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android28NativeInputApplicationHandleC2EP8_jobject);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android28NativeInputApplicationHandleD0Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android28NativeInputApplicationHandleD2Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android28NdkAssetManagerForJavaObjectEP7_JNIEnvP8_jobject);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android28callJavaMethodWithArgsObjectEP7_JNIEnvP8_jobjectP10_jmethodIDS3_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android28register_android_os_HwBinderEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android28register_android_os_HwParcelEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android28set_dalvik_blockguard_policyEP7_JNIEnvi);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android29android_NativeActivity_finishEP15ANativeActivity);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android29android_view_KeyEvent_recycleEP7_JNIEnvP8_jobject);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android29android_view_VerifiedKeyEventEP7_JNIEnvRKNS_16VerifiedKeyEventE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android29register_android_app_ActivityEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android29register_android_view_SurfaceEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android30AssetManagerForNdkAssetManagerEP13AAssetManager);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android30register_android_os_HidlMemoryEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android30register_android_os_MemoryFileEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android30register_android_util_EventLogEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android30register_android_view_KeyEventEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android31android_view_InputDevice_createEP7_JNIEnvRKNS_15InputDeviceInfoE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android31android_view_Surface_getSurfaceEP7_JNIEnvP8_jobject);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android31convertMicrophoneInfoFromNativeEP7_JNIEnvPP8_jobjectPKNS_5media16MicrophoneInfoFwE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android31nativeGetPerfettoInstanceLockedEP7_JNIEnvP7_jclasslj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android31register_android_opengl_classesEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android31register_android_os_HidlSupportEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android31register_android_os_SystemClockEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android31throw_sqlite3_exception_errcodeEP7_JNIEnviPKc);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android32CameraMetadata_getNativeMetadataEP7_JNIEnvP8_jobjectPNS_14CameraMetadataE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android32SurfaceTexture_getSurfaceTextureEP7_JNIEnvP8_jobject);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android32android_view_MotionEvent_recycleEP7_JNIEnvP8_jobject);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android32android_view_VerifiedMotionEventEP7_JNIEnvRKNS_19VerifiedMotionEventE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android32register_android_os_FileObserverEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android32register_android_os_MessageQueueEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android32register_android_os_NativeHandleEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android32register_android_os_SharedMemoryEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android32register_android_security_ScryptEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android32register_android_text_HyphenatorEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android32register_android_view_InputQueueEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android33android_Configuration_getFromJavaEP7_JNIEnvP8_jobjectP14AConfiguration);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android33android_view_PointerIcon_toNativeEP7_JNIEnvP8_jobject);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android33android_view_Surface_isInstanceOfEP7_JNIEnvP8_jobject);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android33createAudioDeviceTypeAddrFromJavaEP7_JNIEnvPNS_19AudioDeviceTypeAddrEP8_jobject);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android33register_android_content_XmlBlockEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android33register_android_view_InputDeviceEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android33register_android_view_MotionEventEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android33register_android_view_PointerIconEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android33register_android_view_TextureViewEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android34android_view_KeyEvent_obtainAsCopyEP7_JNIEnvP8_jobject);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android34android_view_KeyEvent_obtainAsCopyEP7_JNIEnvRKNS_8KeyEventE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android34convertHdrCapabilitiesToJavaObjectEP7_JNIEnvRKNS_15HdrCapabilitiesE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android34register_android_os_HwRemoteBinderEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android34register_android_os_ServiceManagerEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android34register_android_os_UEventObserverEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android34register_android_util_CharsetUtilsEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android34register_android_view_InputChannelEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android35android_SurfaceTexture_isInstanceOfEP7_JNIEnvP8_jobject);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android35android_view_KeyCharacterMap_createEP7_JNIEnviNSt3__110unique_ptrINS_15KeyCharacterMapENS2_14default_deleteIS4_EEEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android35nativeReleasePerfettoInstanceLockedEP7_JNIEnvP7_jclasslj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android35register_android_app_ActivityThreadEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android35register_android_app_NativeActivityEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android35register_android_media_MediaMetricsEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android36android_NativeActivity_hideSoftInputEP15ANativeActivityi);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android36android_NativeActivity_showSoftInputEP15ANativeActivityi);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android36android_os_Debug_getDeathObjectCountEP7_JNIEnvP8_jobject);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android36android_os_Debug_getLocalObjectCountEP7_JNIEnvP8_jobject);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android36android_os_Debug_getProxyObjectCountEP7_JNIEnvP8_jobject);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android36android_util_Log_isVerboseLogEnabledEPKc);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android36android_view_InputQueue_getNativePtrEP7_JNIEnvP8_jobject);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android36android_view_Surface_getNativeWindowEP7_JNIEnvP8_jobject);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android36register_android_content_StringBlockEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android36register_android_media_RemoteDisplayEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android36register_android_net_LocalSocketImplEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android36register_android_os_SystemPropertiesEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android36register_android_util_MemoryIntArrayEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android36register_android_view_SurfaceControlEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android36register_android_view_SurfaceSessionEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android37android_NativeActivity_setWindowFlagsEP15ANativeActivityii);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android37android_view_MotionEvent_getNativePtrEP7_JNIEnvP8_jobject);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android37android_view_MotionEvent_obtainAsCopyEP7_JNIEnvRKNS_11MotionEventE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android37android_view_SurfaceSession_getClientEP7_JNIEnvP8_jobject);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android37createAudioDeviceAttributesFromNativeEP7_JNIEnvPP8_jobjectPKNS_19AudioDeviceTypeAddrE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android37register_android_content_AssetManagerEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android37register_android_database_SQLiteDebugEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android37register_android_view_KeyCharacterMapEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android37register_android_view_MotionPredictorEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android37register_android_view_VelocityTrackerEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android37register_android_window_ScreenCaptureEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android38android_NativeActivity_setWindowFormatEP15ANativeActivityi);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android38android_view_Surface_createFromSurfaceEP7_JNIEnvRKNS_2spINS_7SurfaceEEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android38convertAudioEffectDescriptorFromNativeEP7_JNIEnvPP8_jobjectPK19effect_descriptor_s);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android38register_android_app_admin_SecurityLogEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android38register_android_app_backup_FullBackupEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android38register_android_content_res_ApkAssetsEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android38register_android_database_CursorWindowEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android38register_android_database_SQLiteGlobalEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android38register_android_text_AndroidCharacterEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android38register_android_view_InputEventSenderEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android38register_android_view_VerifiedKeyEventEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android39android_os_MessageQueue_getMessageQueueEP7_JNIEnvP8_jobject);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android39register_android_backup_BackupDataInputEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android39register_android_content_res_ObbScannerEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android39register_android_os_GraphicsEnvironmentEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android39register_android_util_jar_StrictJarFileEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android39register_android_view_InputWindowHandleEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android39register_com_android_internal_os_ZygoteEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android3gui10WindowInfo14readFromParcelEPKNS_6ParcelE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android3gui10WindowInfo14setInputConfigENS_3ftl5FlagsINS1_11InputConfigEEEb);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android3gui10WindowInfo18addTouchableRegionERKNS_4RectE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android3gui11DisplayInfo14readFromParcelEPKNS_6ParcelE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android3gui12FocusRequest14readFromParcelEPKNS_6ParcelE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android3gui16WindowInfoHandle10updateFromENS_2spIS1_EE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android3gui16WindowInfoHandle14readFromParcelEPKNS_6ParcelE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android3gui16WindowInfoHandle14releaseChannelEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android3gui16WindowInfoHandleC2ERKNS0_10WindowInfoE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android3gui16WindowInfoHandleC2ERKS1_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android3gui16WindowInfoHandleC2Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android3gui16WindowInfoHandleD0Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android3gui16WindowInfoHandleD2Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android3gui20InputApplicationInfo14readFromParcelEPKNS_6ParcelE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android3gui22StalledTransactionInfo14readFromParcelEPKNS_6ParcelE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android3gui28IWindowInfosReportedListener11asInterfaceERKNS_2spINS_7IBinderEEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android3gui28IWindowInfosReportedListener14getDefaultImplEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android3gui28IWindowInfosReportedListener14setDefaultImplENS_2spIS1_EE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android3gui28IWindowInfosReportedListenerC2Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android3gui28IWindowInfosReportedListenerD0Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android3gui28IWindowInfosReportedListenerD1Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android3gui28IWindowInfosReportedListenerD2Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android3gui29BnWindowInfosReportedListener10onTransactEjRKNS_6ParcelEPS2_j);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android3gui29BnWindowInfosReportedListenerC2Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android3gui29BpWindowInfosReportedListener21onWindowInfosReportedEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android3gui29BpWindowInfosReportedListenerC1ERKNS_2spINS_7IBinderEEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android3gui29BpWindowInfosReportedListenerC2ERKNS_2spINS_7IBinderEEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android3guilsERNSt3__113basic_ostreamIcNS1_11char_traitsIcEEEERKNS0_10WindowInfoE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android3guilsERNSt3__113basic_ostreamIcNS1_11char_traitsIcEEEERKNS0_16WindowInfoHandleE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android40android_view_InputWindowHandle_getHandleEP7_JNIEnvP8_jobject);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android40register_android_backup_BackupDataOutputEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android40register_android_ddm_DdmHandleNativeHeapEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android40register_android_graphics_SurfaceTextureEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android40register_android_view_InputEventReceiverEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android41android_view_InputChannel_getInputChannelEP7_JNIEnvP8_jobject);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android41android_view_MotionEvent_obtainFromNativeEP7_JNIEnvNSt3__110unique_ptrINS_11MotionEventENS2_14default_deleteIS4_EEEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android41register_android_tracing_PerfettoProducerEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android41register_android_view_VerifiedMotionEventEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android41register_android_view_WindowManagerGlobalEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android42android_view_InputChannel_createJavaObjectEP7_JNIEnvNSt3__110unique_ptrINS_12InputChannelENS2_14default_deleteIS4_EEEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android42register_android_content_res_ConfigurationEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android42register_android_content_res_ResourceTimerEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android42register_android_database_SQLiteConnectionEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android42register_android_graphics_BLASTBufferQueueEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android42register_android_os_PerformanceHintManagerEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android42register_android_os_storage_StorageManagerEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android42register_android_service_DataLoaderServiceEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android42register_android_view_DisplayEventReceiverEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android42register_android_window_InputTransferTokenEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android43register_android_tracing_PerfettoDataSourceEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android43register_android_window_WindowInfosListenerEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android43register_com_android_internal_os_ZygoteInitEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android44android_view_InputChannel_setDisposeCallbackEP7_JNIEnvP8_jobjectPFvS1_S3_RKNSt3__110shared_ptrINS_12InputChannelEEEPvESA_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android44convertAudioEffectDescriptorVectorFromNativeEP7_JNIEnvPP13_jobjectArrayRKNSt3__16vectorI19effect_descriptor_sNS5_9allocatorIS7_EEEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android44register_android_backup_FileBackupHelperBaseEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android44register_android_database_SQLiteRawStatementEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android44register_android_view_InputApplicationHandleEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android44register_com_android_internal_os_FuseAppLoopEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android44register_com_android_internal_os_RuntimeInitEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android45android_view_InputApplicationHandle_getHandleEP7_JNIEnvP8_jobject);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android45android_view_InputWindowHandle_fromWindowInfoEP7_JNIEnvNS_3gui10WindowInfoE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android46register_android_backup_BackupHelperDispatcherEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android47register_android_animation_PropertyValuesHolderEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android47register_android_view_TunnelModeEnabledListenerEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android47register_com_android_internal_content_F2fsUtilsEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android49android_hardware_display_DisplayViewport_toNativeEP7_JNIEnvP8_jobjectPNS_15DisplayViewportE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android49android_view_SurfaceControl_getJavaSurfaceControlEP7_JNIEnvRKNS_14SurfaceControlE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android49register_android_hardware_display_DisplayViewportEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android49register_android_view_CompositionSamplingListenerEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android50com_android_internal_os_ZygoteCommandBuffer_insertEP7_JNIEnvP7_jclasslP8_jstring);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android50register_android_os_incremental_IncrementalManagerEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android50register_com_android_internal_security_VerityUtilsEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android51android_os_storage_StorageManager_setQuotaProjectIdEP7_JNIEnvP8_jobjectP8_jstringl);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android51android_view_SurfaceControl_getNativeSurfaceControlEP7_JNIEnvP8_jobject);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android51register_android_tracing_PerfettoDataSourceInstanceEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android51register_com_android_internal_os_ClassLoaderFactoryEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android52android_hardware_HardwareBuffer_convertToPixelFormatEj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android52register_com_android_internal_os_ZygoteCommandBufferEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android52register_com_android_internal_util_VirtualRefBasePtrEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android53android_view_Surface_createFromIGraphicBufferProducerEP7_JNIEnvRKNS_2spINS_22IGraphicBufferProducerEEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android53register_com_android_internal_os_KernelCpuBpfTrackingEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android54android_graphics_GraphicBuffer_getNativeGraphicsBufferEP7_JNIEnvP8_jobject);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android54android_hardware_HardwareBuffer_convertFromPixelFormatEj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android54android_hardware_OverlayProperties_convertToJavaObjectEP7_JNIEnvPNS_3gui17OverlayPropertiesE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android54register_com_android_internal_content_om_OverlayConfigEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android54register_com_android_internal_net_NetworkUtilsInternalEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android54register_com_android_internal_os_KernelAllocationStatsEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android54register_com_android_internal_os_LongMultiStateCounterEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android55android_hardware_HardwareBuffer_getNativeHardwareBufferEP7_JNIEnvP8_jobject);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android56android_graphics_GraphicBuffer_createFromAHardwareBufferEP7_JNIEnvP15AHardwareBuffer);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android56register_android_view_SurfaceControlHdrLayerInfoListenerEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android57android_hardware_HardwareBuffer_convertToGrallocUsageBitsEm);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android57android_hardware_HardwareBuffer_createFromAHardwareBufferEP7_JNIEnvP15AHardwareBuffer);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android57com_android_internal_os_ZygoteCommandBuffer_nativeNextArgEP7_JNIEnvP7_jclassl);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android57register_com_android_internal_content_NativeLibraryHelperEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android57register_com_android_internal_os_KernelCpuUidBpfMapReaderEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android58com_android_internal_os_ZygoteCommandBuffer_nativeGetCountEP7_JNIEnvP7_jclassl);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android58register_com_android_internal_os_KernelSingleUidTimeReaderEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android59android_view_SurfaceTransaction_getNativeSurfaceTransactionEP7_JNIEnvP8_jobject);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android59android_window_InputTransferToken_getJavaInputTransferTokenEP7_JNIEnvRKNS_18InputTransferTokenE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android59com_android_internal_os_ZygoteCommandBuffer_getNativeBufferEP7_JNIEnvP7_jclassi);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android59register_com_android_internal_content_om_OverlayManagerImplEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android59register_com_android_internal_os_KernelCpuTotalBpfMapReaderEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android59register_com_android_internal_os_LongArrayMultiStateCounterEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android5vintf18KernelConfigParser16processAndFinishEPKcm);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android5vintf18KernelConfigParser16processAndFinishERKNSt3__112basic_stringIcNS2_11char_traitsIcEENS2_9allocatorIcEEEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android5vintf18KernelConfigParser16processRemainingEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android5vintf18KernelConfigParser6finishEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android5vintf18KernelConfigParser7configsEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android5vintf18KernelConfigParser7processEPKcm);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android5vintf18KernelConfigParserC2Ebb);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android5vintf18trimTrailingSpacesERKNSt3__112basic_stringIcNS1_11char_traitsIcEENS1_9allocatorIcEEEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android60android_view_InputApplicationHandle_fromInputApplicationInfoEP7_JNIEnvNS_3gui20InputApplicationInfoE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android60com_android_internal_os_ZygoteCommandBuffer_freeNativeBufferEP7_JNIEnvP7_jclassl);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android60register_com_android_internal_os_ZygoteInit_nativeZygoteInitEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android61android_window_InputTransferToken_getNativeInputTransferTokenEP7_JNIEnvP8_jobject);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android64com_android_internal_os_ZygoteCommandBuffer_nativeForkRepeatedlyEP7_JNIEnvP7_jclassliiiP8_jstring);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android67android_hardware_display_DisplayManagerGlobal_signalNativeCallbacksEP7_JNIEnvP8_jobjectf);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android67com_android_internal_os_ZygoteCommandBuffer_nativeReadFullyAndResetEP7_JNIEnvP7_jclassl);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android67register_com_android_internal_os_KernelSingleProcessCpuThreadReaderEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android6zygote10ForkCommonEP7_JNIEnvbRKNSt3__16vectorIiNS3_9allocatorIiEEEES9_bb);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android6zygote13ZygoteFailureEP7_JNIEnvPKcP8_jstringRKNSt3__112basic_stringIcNS7_11char_traitsIcEENS7_9allocatorIcEEEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android6zygote7forkAppEP7_JNIEnviiRKNSt3__16vectorIiNS3_9allocatorIiEEEEbbb);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android7JHwBlob16GetNativeContextEP7_JNIEnvP8_jobject);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android7JHwBlob16SetNativeContextEP7_JNIEnvP8_jobjectRKNS_2spIS0_EE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android7JHwBlob16specializeBlobToENS0_8BlobTypeE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android7JHwBlob4dataEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android7JHwBlob5setToEPKvm);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android7JHwBlob5writeEmPKvm);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android7JHwBlob7putBlobEmRKNS_2spIS0_EE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android7JHwBlob9InitClassEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android7JHwBlob9NewObjectEP7_JNIEnvPKvm);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android7JHwBlob9NewObjectEP7_JNIEnvm);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android7JHwBlobC2EP7_JNIEnvP8_jobjectm);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android7JHwBlobD0Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android7JHwBlobD2Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android8hardware7display27IDeviceProductInfoConstants11asInterfaceERKNS_2spINS_7IBinderEEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android8hardware7display27IDeviceProductInfoConstants14getDefaultImplEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android8hardware7display27IDeviceProductInfoConstants14setDefaultImplENS_2spIS2_EE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android8hardware7display27IDeviceProductInfoConstantsC2Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android8hardware7display27IDeviceProductInfoConstantsD0Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android8hardware7display27IDeviceProductInfoConstantsD1Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android8hardware7display27IDeviceProductInfoConstantsD2Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android8hardware7display28BnDeviceProductInfoConstants10onTransactEjRKNS_6ParcelEPS3_j);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android8hardware7display28BnDeviceProductInfoConstantsC1Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android8hardware7display28BnDeviceProductInfoConstantsC2Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android8hardware7display28BpDeviceProductInfoConstantsC1ERKNS_2spINS_7IBinderEEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android8hardware7display28BpDeviceProductInfoConstantsC2ERKNS_2spINS_7IBinderEEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android9JHwBinder10onTransactEjRKNS_8hardware6ParcelEPS2_jNSt3__18functionIFvRS2_EEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android9JHwBinder15GetNativeBinderEP7_JNIEnvP8_jobject);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android9JHwBinder16SetNativeContextEP7_JNIEnvP8_jobjectRKNS_2spINS_15JHwBinderHolderEEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android9JHwBinder9InitClassEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android9JHwBinderC1EP7_JNIEnvP8_jobject);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android9JHwBinderC2EP7_JNIEnvP8_jobject);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android9JHwBinderD0Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android9JHwBinderD1Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android9JHwBinderD2Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android9JHwParcel10getStorageEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android9JHwParcel16GetNativeContextEP7_JNIEnvP8_jobject);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android9JHwParcel16SetNativeContextEP7_JNIEnvP8_jobjectRKNS_2spIS0_EE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android9JHwParcel19setTransactCallbackENSt3__18functionIFvRNS_8hardware6ParcelEEEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android9JHwParcel4sendEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android9JHwParcel9InitClassEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android9JHwParcel9NewObjectEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android9JHwParcel9getParcelEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android9JHwParcel9setParcelEPNS_8hardware6ParcelEb);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android9JHwParcelC2EP7_JNIEnvP8_jobject);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android9JHwParcelD0Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android9JHwParcelD2Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android9JNICommon11objFromRectEP7_JNIEnvNS_4RectE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android9JNICommon11objFromSizeEP7_JNIEnvNS_2ui4SizeE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android9JNICommon11rectFromObjEP7_JNIEnvP8_jobject);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN8SkRegion10Cliperator4nextEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN8SkRegion10CliperatorC2ERKS_RK7SkIRect);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN8SkRegion10Spanerator4nextEPiS1_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN8SkRegion10SpaneratorC2ERKS_iii);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN8SkRegion12RunsAreARectEPKiiP7SkIRect);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN8SkRegion12allocateRunsERKNS_7RunHeadE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN8SkRegion12allocateRunsEi);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN8SkRegion12allocateRunsEiii);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN8SkRegion13BuildRectRunsERK7SkIRectPi);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN8SkRegion14readFromMemoryEPKvm);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN8SkRegion2opERK7SkIRectRKS_NS_2OpE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN8SkRegion2opERKS_RK7SkIRectNS_2OpE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN8SkRegion2opERKS_S1_NS_2OpE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN8SkRegion4OperERKS_S1_NS_2OpEPS_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN8SkRegion4swapERS_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN8SkRegion7setRectERK7SkIRect);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN8SkRegion7setRunsEPii);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN8SkRegion8Iterator4nextEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN8SkRegion8Iterator5resetERKS_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN8SkRegion8Iterator6rewindEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN8SkRegion8IteratorC2ERKS_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN8SkRegion8freeRunsEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN8SkRegion8setEmptyEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN8SkRegion8setRectsEPK7SkIRecti);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN8SkRegion8toStringEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN8SkRegion9setRegionERKS_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN8SkRegionC2ERK7SkIRect);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN8SkRegionC2ERKS_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN8SkRegionC2Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN8SkRegionD2Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN8SkRegionaSERKS_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN8SkString11printVAListEPKcSt9__va_list);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN8SkString12appendVAListEPKcSt9__va_list);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN8SkString12insertScalarEmf);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN8SkString13insertUnicharEmi);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN8SkString13prependVAListEPKcSt9__va_list);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN8SkString3Rec4MakeEPKcm);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN8SkString3setEPKc);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN8SkString3setEPKcm);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN8SkString4dataEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN8SkString4swapERS_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN8SkString5resetEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN8SkString6insertEmPKc);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN8SkString6insertEmPKcm);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN8SkString6printfEPKcz);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN8SkString6removeEmm);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN8SkString6resizeEm);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN8SkString7appendfEPKcz);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN8SkString8prependfEPKcz);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN8SkString9insertHexEmji);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN8SkString9insertS32Emi);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN8SkString9insertS64Emli);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN8SkString9insertU32Emj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN8SkString9insertU64Emmi);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN8SkStringC2ENSt3__117basic_string_viewIcNS0_11char_traitsIcEEEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN8SkStringC2EOS_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN8SkStringC2EPKc);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN8SkStringC2EPKcm);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN8SkStringC2ERKNSt3__112basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN8SkStringC2ERKS_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN8SkStringC2Em);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN8SkStringC2Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN8SkStringD2Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN8SkStringaSEOS_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN8SkStringaSEPKc);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN8SkStringaSERKS_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN8ZipEntry18CopyFromZipEntry64EPS_PK10ZipEntry64);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN9Transform25forCropFollowedByRotationEiiiii);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN9TransformC2Eiiii);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK11zip_archive6Reader10IsZeroCopyEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK11zip_archive6Reader14AccessAtOffsetEPhml);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK13MappedZipFile10GetBasePtrEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK13MappedZipFile12ReadAtOffsetEPhml);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK13MappedZipFile13GetFileLengthEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK13MappedZipFile13GetFileOffsetEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK13MappedZipFile17GetFileDescriptorEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK13NativeContext10getGpsDataEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK13NativeContext10hasGpsDataEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK13NativeContext12getThumbnailEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK13NativeContext12hasThumbnailEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK13NativeContext14getCaptureTimeEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK13NativeContext14getDescriptionEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK13NativeContext14getOrientationEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK13NativeContext14hasCaptureTimeEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK13NativeContext14hasDescriptionEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK13NativeContext17getThumbnailWidthEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK13NativeContext18getCharacteristicsEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK13NativeContext18getThumbnailHeightEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK13NativeContext9getResultEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK14ZipEntryCommon19GetModificationTimeEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK15CdEntryMapZip6416GetCdEntryOffsetENSt3__117basic_string_viewIcNS0_11char_traitsIcEEEEPKh);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK16InputStripSource6getIfdEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK16JNICameraContext33isRawImageCallbackBufferAvailableEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK17DirectStripSource6getIfdEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK18FileDescriptorInfo12DetachSocketERKNSt3__18functionIFvNS0_12basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEEEEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK18FileDescriptorInfo14ReopenOrDetachERKNSt3__18functionIFvNS0_12basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEEEEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK18FileDescriptorInfo16RefersToSameFileEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK20SkContainerAllocator15roundUpCapacityEl);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK20SkContainerAllocator20growthFactorCapacityEid);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK23FileDescriptorAllowlist9IsAllowedERKNSt3__112basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK6SkRect4dumpEb);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK6SkRect6toQuadEP7SkPoint);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android15JHwRemoteBinder21getDeathRecipientListEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android15JHwRemoteBinder9getBinderEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android3gui10WindowInfo13writeToParcelEPNS_6ParcelE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android3gui10WindowInfo16interceptsStylusEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android3gui10WindowInfo18supportsSplitTouchEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android3gui10WindowInfo5isSpyEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android3gui10WindowInfo8overlapsEPKS1_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android3gui10WindowInfoeqERKS1_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android3gui11DisplayInfo13writeToParcelEPNS_6ParcelE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android3gui11DisplayInfo4dumpERNSt3__112basic_stringIcNS2_11char_traitsIcEENS2_9allocatorIcEEEEPKc);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android3gui12FocusRequest13writeToParcelEPNS_6ParcelE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android3gui16WindowInfoHandle13writeToParcelEPNS_6ParcelE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android3gui16WindowInfoHandle8getTokenEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android3gui20InputApplicationInfo13writeToParcelEPNS_6ParcelE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android3gui22StalledTransactionInfo13writeToParcelEPNS_6ParcelE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android3gui28IWindowInfosReportedListener22getInterfaceDescriptorEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android5vintf18KernelConfigParser5errorEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android5vintf18KernelConfigParser7configsEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android7JHwBlob13writeToParcelEPNS_8hardware6ParcelE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android7JHwBlob21writeEmbeddedToParcelEPNS_8hardware6ParcelEmm);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android7JHwBlob21writeSubBlobsToParcelEPNS_8hardware6ParcelEm);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android7JHwBlob4dataEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android7JHwBlob4readEmPvm);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android7JHwBlob4sizeEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android7JHwBlob4typeEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android7JHwBlob9getHandleEPm);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android7JHwBlob9getStringEmPPKNS_8hardware11hidl_stringE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android7battery17MultiStateCounterIlE13valueToStringERKl);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android7battery17MultiStateCounterIlE3addEPlRKlmm);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android7battery17MultiStateCounterIlE5deltaERKlS4_Pl);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android8hardware7display27IDeviceProductInfoConstants22getInterfaceDescriptorEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android9JHwParcel7wasSentEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK8SkRegion10intersectsERK7SkIRect);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK8SkRegion10intersectsERKS_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK8SkRegion13writeToMemoryEPv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK8SkRegion20count_runtype_valuesEPiS0_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK8SkRegion23computeRegionComplexityEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK8SkRegion7getRunsEPiS0_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK8SkRegion7isValidEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK8SkRegion8containsERK7SkIRect);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK8SkRegion8containsERKS_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK8SkRegion8containsEii);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK8SkRegion9translateEiiPS_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK8SkRegioneqERKS_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK8SkString3Rec3refEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK8SkString3Rec5unrefEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK8SkString3Rec6uniqueEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK8SkString6equalsEPKc);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK8SkString6equalsEPKcm);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK8SkString6equalsERKS_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK9Transform3mapEiiPiS0_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK9TransformeqERKS_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNKSt3__115basic_stringbufIcNS_11char_traitsIcEENS_9allocatorIcEEE3strEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__115basic_stringbufIcNS_11char_traitsIcEENS_9allocatorIcEEE7seekoffExNS_8ios_base7seekdirEj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__115basic_stringbufIcNS_11char_traitsIcEENS_9allocatorIcEEE8overflowEi);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__115basic_stringbufIcNS_11char_traitsIcEENS_9allocatorIcEEE9pbackfailEi);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__115basic_stringbufIcNS_11char_traitsIcEENS_9allocatorIcEEE9underflowEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__117__call_once_proxyINS_5tupleIJRFvvEEEEEEvPv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__124__put_character_sequenceIcNS_11char_traitsIcEEEERNS_13basic_ostreamIT_T0_EES7_PKS4_m);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__127__tree_balance_after_insertIPNS_16__tree_node_baseIPvEEEEvT_S5_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__16vectorIiNS_9allocatorIiEEE21__push_back_slow_pathIiEEvOT_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__16vectorIjNS_9allocatorIjEEE21__push_back_slow_pathIjEEvOT_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__16vectorIlNS_9allocatorIlEEE21__push_back_slow_pathIlEEvOT_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__16vectorImNS_9allocatorImEEE21__push_back_slow_pathImEEvOT_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZThn16_N7android18NativeMessageQueue11handleEventEiiPv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZThn16_N7android18NativeMessageQueueD0Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZThn16_N7android18NativeMessageQueueD1Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZThn8_N7android21JNIAudioTrackCallbackD0Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZThn8_N7android21JNIAudioTrackCallbackD1Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZThn8_N7android3gui29BnWindowInfosReportedListener10onTransactEjRKNS_6ParcelEPS2_j);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZThn8_N7android8hardware7display28BnDeviceProductInfoConstants10onTransactEjRKNS_6ParcelEPS3_j);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZTv0_n24_N20JNIAudioPortCallbackD0Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZTv0_n24_N20JNIAudioPortCallbackD1Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZTv0_n24_N7android10InputQueueD0Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZTv0_n24_N7android10InputQueueD1Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZTv0_n24_N7android12MessageQueueD0Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZTv0_n24_N7android12MessageQueueD1Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZTv0_n24_N7android17JNIDeviceCallbackD0Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZTv0_n24_N7android17JNIDeviceCallbackD1Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZTv0_n24_N7android18NativeMessageQueue18WeakLooperCallbackD0Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZTv0_n24_N7android18NativeMessageQueue18WeakLooperCallbackD1Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZTv0_n24_N7android18NativeMessageQueueD0Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZTv0_n24_N7android18NativeMessageQueueD1Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZTv0_n24_N7android18PerfettoDataSourceD0Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZTv0_n24_N7android18PerfettoDataSourceD1Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZTv0_n24_N7android21JNIAudioTrackCallbackD0Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZTv0_n24_N7android21JNIAudioTrackCallbackD1Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZTv0_n24_N7android22NativeInputEventSenderD0Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZTv0_n24_N7android22NativeInputEventSenderD1Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZTv0_n24_N7android24NativeInputEventReceiverD0Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZTv0_n24_N7android24NativeInputEventReceiverD1Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZTv0_n24_N7android26NativeDisplayEventReceiverD0Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZTv0_n24_N7android26NativeDisplayEventReceiverD1Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZTv0_n24_N7android27JNIAudioVolumeGroupCallbackD0Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZTv0_n24_N7android27JNIAudioVolumeGroupCallbackD1Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZTv0_n24_N7android3gui28IWindowInfosReportedListenerD0Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZTv0_n24_N7android3gui28IWindowInfosReportedListenerD1Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZTv0_n24_N7android8hardware7display27IDeviceProductInfoConstantsD0Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZTv0_n24_N7android8hardware7display27IDeviceProductInfoConstantsD1Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZTv0_n24_N7android9JHwBinderD0Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZTv0_n24_N7android9JHwBinderD1Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", async_safe_fatal_no_abort);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", async_safe_fatal_va_list);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", async_safe_format_buffer);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", async_safe_format_buffer_va_list);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", async_safe_format_fd);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", async_safe_format_fd_va_list);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", async_safe_format_log);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", async_safe_format_log_va_list);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", async_safe_write_log);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", crypto_scrypt);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", jniGetNioBufferBaseArray);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", jniGetNioBufferBaseArrayOffset);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", jniGetNioBufferFields);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", jniGetNioBufferPointer);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", jniUninitializeConstants);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", registerFrameworkNatives);
}
// clang-format on
